﻿<%
'*************************************
'  SNS Chat!  追加コンテンツ選択
'      コンテンツの追加
'      add_contents.asp
'  
'  岩手県立総合教育センター
'    情報・産業教育担当
'      Masami Mita  2015.09.03
'           update  2018.05.13
'*************************************
'
'... ページタイトル
  pTitle = "SNS Chat!"

'... "GET"形式による値取得
  strID     = Request.QueryString("strID")
  at        = Request.QueryString("at"   )
  gln       = request.QueryString("gln"  )

'... Buffer設定
  Response.Buffer = "True"

'... 表示情報の取得
  Dim conDisp(6)
  DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select disp from conDisp order by ID"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  For i=0 to 6
    conDisp(i) = ObjRS("disp")
  ObjRS.MoveNext
  Next
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
%>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title><% = pTitle %></title>
  <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
  <link rel="stylesheet" href="js/main.css" />
  <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
  <script type="text/javascript" src="js/MobileConfig.js"></script>
  <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
</head>
<body>

<div data-role="page">
  <!-- ここからヘッダ -->
  <div data-role="header" data-position="fixed" data-theme="b">
  <a href="index.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>">home</a>
    <h1>SNS Chat!</h1>
  </div>
  <!-- ここから本文 -->
  <div data-role="content">
  <div class="font-size: 0.8em;">コンテンツを選択してください。</div><br>
    <nav data-role="navbar">
      <ul>
        <%
          '... 位置情報メニューの表示の有無
          If conDisp(4) = "on" Then
            Response.Write "<li>"
            Response.Write "<a href='stump_contents.asp?strID=" & strID & "&at=" & at & "&gln=" & gln & "' id='navbtn-gps' data-icon='custom'>スタンプ</a>"
            Response.Write "</li>"
          End If
          If conDisp(0) = "on" Then
            Response.Write "<li>"
            Response.Write "<a href='geo_contents.asp?strID=" & strID & "&at=" & at & "&gln=" & gln & "' id='navbtn-gps' data-icon='custom'  >位置情報</a>"
            Response.Write "</li>"
          End If
          If conDisp(1) = "on" Then
            Response.Write "<li>"
            Response.Write "<a href='photo_contents.asp?strID=" & strID & "&at=" & at & "&gln=" & gln & "' id='navbtn-pho' data-icon='custom'>画像    </a>"
            Response.Write "</li>"
          End If
          If conDisp(2) = "on" Then
            Response.Write "<li>"
            Response.Write "<a href='video_contents.asp?strID=" & strID & "&at=" & at & "&gln=" & gln & "' id='navbtn-vid' data-icon='custom'>動画    </a>"
            Response.Write "</li>"
          End If
          If conDisp(3) = "on" Then
            Response.Write "<li>"
            Response.Write "<a href='audio_contents.asp?strID=" & strID & "&at=" & at & "&gln=" & gln & "' id='navbtn-aud' data-icon='custom'>音声    </a>"
            Response.Write "</li>"
          End If
          If conDisp(5) = "on" Then
            Response.Write "<li>"
            Response.Write "<a href='enq/enq.asp' target='_blank' id='navbtn-enq' data-icon='custom'>アンケート</a>" 
            Response.Write "</li>"
          End If
          If conDisp(6) = "on" Then
            Response.Write "<li>"
            Response.Write "<a href='fortune/mindex.html' target='_blank' id='navbtn-fortune' data-icon='custom'>占いの館</a>" 
            Response.Write "</li>"
          End If
        %>
      </ul>
    </nav>
  </div> 
  <!-- ここからフッタ -->
  <div data-role="footer" data-position="fixed" data-theme="b">
    <h3></h3>
  </div>
</div>
</body>
</html>
