﻿<%
'***************************************
'  SNS チャット　管理者ページ
'      入力データ一括削除：admin03.asp
'  
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.08.26
'           update  2017.04.29
'***************************************
'
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "入力データ一括削除"

'... "POST"形式での値取得
  flg     = Request.Form("flg")

'... データの削除
  If flg = "alldel" Then
    DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ= " & _
    Server.MapPath("sns_data.mdb")
    Set ObjConn = Server.CreateObject("ADODB.Connection")
    ObjConn.Open DBName
    ObjConn.BeginTrans
    '... SQL
    StrSQL = "delete from sns"
    '... SQL
    ObjConn.Execute(StrSQL)
    '... DB接続解除
    ObjConn.CommitTrans
    ObjConn.Close
    Set ObjConn = Nothing
  End If
%>

<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/main.js"></script>
 </head>
 <body>
 
 <div data-role="page">
   
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   
   <!-- ここから本文 -->
   <div data-role="content">
     <center>
     <table border="0" width="50%">
       <tr>
         <td>
           <%
           If flg = "alldel" Then
             Response.Write "<div class='alldelBox'>"
             Response.Write "<div>全ての入力データを削除しました。</div>"
             Response.Write "</div>"
           End If
           %>
           <form method="POST" action="admin03.asp">
             <input type="submit" value="全て削除" onClick='return checkDel()'>
             <input type="hidden" name="flg" value="alldel">
           </form>
         </td>
       </tr>
     </table>
     </center>
   </div>
   
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html>
