﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      画像一覧表示
'      admin09.asp
'
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.09.08
'           update  2017.04.29
'***************************************
'
'... ページタイトル
  pTitle = "画像一覧表の表示"

'... Buffer設定
  Response.Buffer = "True"
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css">
   <link rel="stylesheet" href="js/lightbox.min.css">
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/jquery-1.11.3.min.js"></script>
   <script type-"text/javascript" src="js/exif.js"></script>
   <script type="text/javascript">
     $(function(){
       $(window).load(function(){
         $('img').each(function(){
           EXIF.getData(this,function(){
           var DateTimeOriginal = EXIF.getTag(this,'DateTimeOriginal');
           var Make = EXIF.getTag(this,'Make');
           var Model = EXIF.getTag(this,'Model');
           var Flash = EXIF.getTag(this,'Flash');
           var GPSLa = EXIF.getTag(this,'GPSLatitude');
           var GPSLo = EXIF.getTag(this,'GPSLongitude');
           var geoArr0 = new Array();
           var geoArr1 = new Array();
           var Lati;
           var Logi;
           
           geoArr0 = String(GPSLa).split(",");
           geoArr1 = String(GPSLo).split(",");
           
           Lati = Number(geoArr0[0]) + Number(geoArr0[1]) / 60 + Number(geoArr0[2]) / 3600;
           Logi = Number(geoArr1[0]) + Number(geoArr1[1]) / 60 + Number(geoArr1[2]) / 3600;
           
           $(this).after('</a><table class=exifData><tr><td>' + 
             '撮影日時 : ' + DateTimeOriginal + '<br>' +
             'メーカー : ' + Make + '<br>' +
             'カメラモデル : ' + Model + '<br>' +
             '緯度(度）: ' + Lati + '<br>' +
             '経度(度) : ' + Logi + '<br>' +
             '</td>' +
             '<td><a href=admin02-1.asp?aV=' + Lati + '&bV=' + Logi + '>地図</a></td>' +
             '</tr></table>');
           });
         });
       });
     });
   </script>
   <style>
   .picSize{
   width: 180px;
   heigt: auto;
   }
   </style>
 </head>
 <body>
 <div data-role="page">
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   <div data-role="content">
     <center>
     <table border="1">
       <tr>
         <td><div class="tl">No        </div></td>
         <td><div class="tl">ユーザー名</div></td>
         <td><div class="tl">ID        </div></td>
         <td><div class="tl">IP        </div></td>
         <td><div class="tl">画像      </div></td>
         <td><div class="tl">メッセージ</div></td>
         <td><div class="tl">時間      </div></td>
       </tr>
       <%
       '... データの取得
         DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
         Server.MapPath("sns_data.mdb")
         Set ObjConn = Server.CreateObject("ADODB.Connection")
         ObjConn.Open DBName
         ObjConn.BeginTrans
         StrSQL = "select ID,mes,user,strID,IPad,tm from sns order by ID DESC;"
         Set ObjRS = Server.CreateObject("ADODB.Recordset")
         ObjRS.Open StrSQL,ObjConn,3,3
         Do until ObjRS.eof
           cnt = cnt + 1
           strMes = ObjRS("mes")
           If InStr(strMes,".jpg")>0 or InStr(strMes,".JPG")>0 or InStr(strMes,".jpeg")>0 or InStr(strMes,".png")>0 Then
             '... 「各種情報」表示
             Response.Write "<tr>"
             Response.Write "<td class='va'><div class='cell'>" & ObjRS("ID"   ) & "</div></td>"
             Response.Write "<td class='va'><div class='cell'>" & ObjRS("user" ) & "</div></td>"
             Response.Write "<td class='va'><div class='cell'>" & ObjRS("strID") & "</div></td>"
             Response.Write "<td class='va'><div class='cell'>" & ObjRS("IPad" ) & "</div></td>"
             '... 「画像」表示
             Response.Write "<td class='va'>"
             Response.Write "<div class='cell'>"
             Response.Write "<a href='doc/" & strMes & "' rel='lightbox[sns]'>＊</a>"
             Response.Write "<img src='doc/" & strMes & "' class='picSize' style='float: left; margin-right: 10px; border: 1px solid #666666;'>"
'             Response.Write "</a>"
             Response.Write "</div>"
             Response.Write "</td>"
             '... 「画像」ファイル名表示
             strMes = "<a href='doc/" & strMes & "'>" & strMes & "</a>"
             Response.Write "<td class='va'><div class='cell'>" & strMes & "</div></td>"
             '... 「時間」表示
             Response.Write "<td class='va'><div class='cell'>" & ObjRS("tm") & "</div></td>"
             Response.Write "</tr>"
           End If
         ObjRS.MoveNext
         Loop
         ObjConn.CommitTrans
         ObjConn.Close
         Set ObjConn = Nothing
       %>
     </table>
     </center>
   </div>
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 <script src="js/lightbox-plus-jquery.min.js"></script>
 </body>
</html>
