﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      アクセスタイプ設定ページ(Ajax)
'      admin11.asp
'  
'  岩手県立総合教育センター
'    情報・産業教育担当
'      Masami Mita  2015.10.03
'           update  2017.05.06
'***************************************
'
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "アクセスタイプの設定"

'... DB読み込み
  DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select AT from AccessType where ID = 1"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  at = ObjRS("AT")
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/exif.js"></script>
   <script type="text/javascript" src="js/main.js"></script>
 </head>
 <body>
 
 <div data-role="page">
   
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   
   <!-- ここから本文 -->
   <%
   Select Case at
     Case 1
       ck1 = "checked='checked'"
       ck2 = ""
       ck3 = ""
     Case 2
       ck1 = ""
       ck2 = "checked='checked'"
       ck3 = ""
     Case 3
       ck1 = ""
       ck2 = ""
       ck3 = "checked='checked'"
   End Select
   %>
   <div data-role="fieldcontain">
     <fieldset data-role="controlgroup">
       <center>
       <table border="0" width="50%">
         <tr>
           <td>
             <input type="radio" name="at" id="rb1" value="1" <% = ck1 %>/>
             <label for="rb1">全員グループ</label>
           </td>
         </tr>
         <tr>
           <td>
             <input type="radio" name="at" id="rb2" value="2" <% = ck2 %>/>
             <label for="rb2">指定グループ</label>
           </td>
         </tr>
         <tr>
           <td>
             <input type="radio" name="at" id="rb3" value="3" <% = ck3 %>/>
             <label for="rb3">自由グループ</label>
             </fieldset">
           </td>
         </tr>
       </table>
       </center>
   </div>
   
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 <div id="mes"></div>
</body>
<script>
  $("#rb1,#rb2,#rb3").click(function(){
    $.post('admin11-2.asp',
      {param1: $("input[name='at']:checked").val()},
      function(data,textStatus,XMLHttpRequest){
        $("#mes").html("<div class='mesBox'>設定を変更しました。</div>");
        $("#mes:not(:animated)").fadeIn("slow",function(){
          $(this).delay(2000).fadeOut("slow");
        });
      });
  });
</script>
</html>
