﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      利用コンテンツ制限(Ajax)
'      admin13.asp
'  
'  岩手県立総合教育センター
'    情報・産業教育担当
'      Masami Mita  2015.10.04
'           update  2017.05.06
'***************************************
'
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "利用コンテンツの制限"
'
'... DB読み込み
  Dim conDisp(4)
  DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")
  Set ObjConn = Server.Createobject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select disp from conDisp order by ID"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  For i=0 to 4
    conDisp(i) = ObjRS("disp")
    ObjRS.MoveNext
  Next
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/main.js"></script>
 </head>
 <body>
 
 <div data-role="page">
   
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   
   <!-- ここから本文 -->
     <%
     If conDisp(0) = "on" Then
       ck1 = "checked='checked'"
     Else
       ck1 = ""
     End If
     If conDisp(1) = "on" Then
       ck2 = "checked='checked'"
     Else
       ck2 = ""
     End If
     If conDisp(2) = "on" Then
       ck3 = "checked='checked'"
     Else
       ck3 = ""
     End If
     If conDisp(3) = "on" Then
       ck4 = "checked='checked'"
     Else
       ck4 = ""
     End If
     If conDisp(4) = "on" Then
       ck5 = "checked='checked'"
     Else
       ck5 = ""
     End If
     %>
     <center>
     <table border="0" width="50%">
       <tr>
         <td>
           <div data-role="fieldcontain">
             <fieldset data-role="controlgroup">
                 <input type="checkbox" name="C1" id="C1" <% = ck1 %>/>
                 <label for="C1">位置情報</label>
                 <input type="checkbox" name="C2" id="C2" <% = ck2 %>/>
                 <label for="C2">画像</label>
                 <input type="checkbox" name="C3" id="C3" <% = ck3 %>/>
                 <label for="C3">動画</label>
                 <input type="checkbox" name="C4" id="C4" <% = ck4 %>/>
                 <label for="C4">音声</label>
                 <input type="checkbox" name="C5" id="C5" <% = ck5 %>/>
                 <label for="C5">スタンプ</label>
             </fieldset>
           </div>
         </td>
       </tr>
     </table>
     </center>
   </div>

   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 <div id="mes"></div>
 </body>
 <script>
   $('#C1,#C2,#C3,#C4,#C5').click(function(){
     if($('#C1').is(':checked')){
       C1 = "on";
     }else{
       C1 = "";
     }
     if($('#C2').is(':checked')){
       C2 = "on";
     }else{
       C2 = "";
     }
     if($('#C3').is(':checked')){
       C3 = "on";
     }else{
       C3 = ""
     }
     if($('#C4').is(':checked')){
       C4 = "on";
     }else{
       C4 = "";
     }
     if($('#C5').is(':checked')){
       C5 = "on";
     }else{
       C5 = "";
     }
     $.post('admin13-2.asp',
       {param1: C1,
        param2: C2,
        param3: C3,
        param4: C4,
        param5: C5},
        function(data,textStatus,XMLHttpRequest){
          $("#mes").html("<div class='mesBox'>設定を変更しました。</div>");
          $("#mes:not(:animated)").fadeIn("slow",function(){
            $(this).delay(1500).fadeOut("slow");
          });
        });
   });
 </script>
</html>
