﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      ログインユーザ一覧表
'      admin16.asp
'  
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.10.12
'           update  2017.04.29
'***************************************
'
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "ログインユーザ一覧表"
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <meta http-equiv="refresh" content="10">
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/exif.js"></script>
   <script type="text/javascript" src="js/main.js"></script>
 </head>
 <body>
 
 <div data-role="page">
 
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   
   <!-- ここから本文 -->
   <div data-role="content">
     <center>
     <table border="1">
       <tr>
         <td class="tlHeader0"><div class="tlHeader0">No            </div></td>
         <td class="tlHeader0"><div class="tlHeader0">ID            </div></td>
         <td class="tlHeader0"><div class="tlHeader0">表示名        </div></td>
         <td class="tlHeader0"><div class="tlHeader0">状態          </div></td>
         <td class="tlHeader0"><div class="tlHeader0">コメント数    </div></td>
         <td class="tlHeader0"><div class="tlHeader0">グラフ（度数）</div></td>
       </tr>
     
     <%
     '... DB接続
     DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
     Server.MapPath("sns_data.mdb")
     Set ObjConn = Server.CreateObject("ADODB.Connection")
     ObjConn.Open DBName
     ObjConn.BeginTrans
     StrSQL = "select strID,userName,Login from user order by ID"
     Set ObjRS = Server.CreateObject("ADODB.Recordset")
     ObjRS.Open StrSQL,ObjConn,3,3
     Do until ObjRS.eof
       no = no + 1
       strID    = ObjRS("strID")
       userName = ObjRS("userName")
       If ObjRS("Login") = 1 Then
        inout = "Login"
        css = "class='login'"
       Else
        inout = "-"
        css = "class='logout'"
       End If
       
       '... User毎のコメント数
       DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
       Server.MapPath("sns_data.mdb")
       Set ObjConn1 = Server.CreateObject("ADODB.Connection")
       ObjConn1.Open DBName
       ObjConn1.BeginTrans
       StrSQL1 = "select count(*) from sns where strID = '" & strID & "'"
       Set ObjRS1 = Server.CreateObject("ADODB.Recordset")
       ObjRS1.Open StrSQL1,ObjConn1,3,3
       comNum = ObjRS1(0)
       ObjConn1.CommitTrans
       ObjConn1.Close
       Set ObjConn1 = Nothing
       
       scale = 7
       
       Response.Write "<tr " & css      & ">"
       Response.Write "<td align='center'>" & no       & "</td>"
       Response.Write "<td align='left'  >" & strID    & "</td>"
       Response.Write "<td align='left'  >" & userName & "</td>"
       Response.Write "<td align='center'>" & inout    & "</td>"
       Response.Write "<td align='center'>" & comNum   & "</td>"
       Response.Write "<td align='left' width='700'><img src='back/02.gif' height='20' width='" & comNum*scale & "' style='border: solid 1px #000000;'></td>"
       Response.Write "</tr>"
     ObjRS.MoveNext
     Loop
     ObjConn.CommitTrans
     ObjConn.Close
     Set ObjConn = Nothing
     %>
     </table>
     </center>
   </div>
   
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html>
