﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      利用不可／可 設定（Ajax）
'      admin20.asp
'  
'  岩手県立総合教育センター
'    情報・産業教育担当
'      Masami Mita  2015.12.06
'           update  2017.05.06
'***************************************
'
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "利用不可／可 設定"
  
'... "POST"形式の値取得
  used   = Request.Form("used")
  flg    = Request.Form("flg" )
  strMes = ""
  
'... DB読み込み
  DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select * from user order by ID"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  strUsed = ObjRS("used")
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
%>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
  <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
  <link rel="stylesheet" href="js/admin.css" />
  <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
  <script type="text/javascript" src="js/MobileConfig.js"></script>
  <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
  <script type="text/javascript" src="js/main.js"></script>
</head>
<body>

<div data-role="page">
  
  <!-- ここはヘッダ-->
  <div data-role="header" data-position="fixed" data-theme="e">
    <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
    <a href="admin.asp">HOME</a>
  </div>
  
  <!--ここは本文-->
  <div data-role="content">
    <center>
      <div><% = strMes %></div>
        <%
        Select Case strUsed
          Case 1
            ck1 = "checked='checked'"
            ck2 = ""
          Case 0
            ck1 = ""
            ck2 = "checked='checked'"
        End Select
        %>
       <div data-role="fieldcontain">
         <fieldset data-role="controlgroup">
           <table border="0" width="50%">
             <tr>
               <td>
                 <input type="radio" name="used" id="rb1" value="1" <% = ck1 %>/>
                 <label for="rb1">利用 可能</label>
               </td>
             </tr>
             <tr>
               <td>
                 <input type="radio" name="used" id="rb2" value="0" <% = ck2 %>/>
                 <label for="rb2">利用 不可</label>
               </td>
             </tr>
           </table>
         </fieldset>
       </div>
    </center>
  </div>
      
  <!--ここはフッタ-->
  <div data-role="footer" data-position="fixed" data-theme="e">
    <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
  </div>
</div>
<div id="mes"></div>
</body>
<script>
  $("#rb1,#rb2").click(function(){
    $.post('admin20-2.asp',
      {param1: $("input[name='used']:checked").val()},
      function(data,textStatus,XMLHttpRequest){
        $("#mes").html("<div class='mesBox'>設定を変更しました。</div>");
        $("#mes:not(:animated)").fadeIn("slow",function(){
          $(this).delay(2000).fadeOut("slow");
        });
      });
  });
</script>
</html>
