﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      入力コメントのExcel形式保存
'      admin21.asp
'  
'  岩手県立総合教育センター
'    情報・産業教育担当
'      Masami Mita  2015.08.06
'           update  2018.04.14
'***************************************
'
'... Bufferの設定
  Response.Buffer = "True"

'... ページタイトル
  pTitle = "データ一覧"

'... "POST"形式での値取得
  flg = Request.Form("flg")

'... Excel保存
  If flg ="excel" Then
    Response.ContentType = "application/vnd.ms-excel"
    Response.AddHeader "Content-Disposition","filename=SNSChat_Data_" & Now() & ".xls"
  End If

'... AT値の取得
  DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select At from AccessType where ID = 1"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  at = ObjRS("AT")
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjRS = Nothing
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/main.js"></script>
 </head>
 <body>
 
 <div data-role="page">
   
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   
   <div data-role="content">
     <center>
     <div>
       <table border="0">
         <tr>
           <td>
             <form method='POST' action='admin21.asp'>
               <input type='hidden' name='flg' value='excel'>
               <input type='submit' value='Excelとして保存'>
             </form>
           </td>
         </tr>
       </table>
     </div>
     <br>
     <table border="1">
       <tr>
         <td><div class="tl">No        </div></td>
         <td><div class="tl">ユーザー名</div></td>
         <td><div class="tl">IP        </div></td>
         <td><div class="tl">メッセージ</div></td>
         <td><div class="tl">時間      </div></td>
         <%
           If at = 2 Then
             Response.Write "<td><div class='tl'>Group No  </div></td>"
           End If
           %>
       </tr>
       <%
         DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
         Server.MapPath("sns_data.mdb")
         Set ObjConn = Server.CreateObject("ADODB.Connection")
         ObjConn.Open DBName
         ObjConn.BeginTrans
         StrSQL = "select ID,strID,user,mes,IPad,tm from sns order by ID DESC;"
         Set ObjRS = Server.CreateObject("ADODB.Recordset")
         ObjRS.Open StrSQL,ObjConn,3,3
         Do until ObjRS.eof
           Response.Write "<tr>"
           Response.Write "<td class='cell'><div class='cell'>" & ObjRS("ID")   & "</div></td>"
           Response.Write "<td class='cell'><div class='cell'>" & ObjRS("user") & "</div></td>"
           Response.Write "<td class='cell'><div class='cell'>" & ObjRS("IPad") & "</div></td>"
           
           strMes = ObjRS("mes")
           If InStr(strMes,".jpg")>0 Then
             strMes = "<a href='doc/" & strMes & "'><img src='icon/pho.png' width='20' height='25'>" & strMes & "</a>"
           End If
           
           Response.Write "<td class='cell'><div class='cell'>" & strMes & "</div></td>"
           
           Response.Write "<td class='cell'><div class='cell'>" & ObjRS("tm") & "</div></td>"
           
           uName = ObjRS("strID")
             '... グループ番号の抽出
             DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
             Server.MapPath("sns_data.mdb")
             Set ObjConn1 = Server.CreateObject("ADODB.Connection")
             ObjConn1.Open DBName
             ObjConn1.BeginTrans
             StrSQL1 = "select member from groupMember1 order by ID"
             Set ObjRS1 = Server.CreateObject("ADODB.Recordset")
             ObjRS1.Open StrSQL1,ObjConn1,3,3
             cnt = 0
             Do until ObjRS1.eof
               cnt = cnt + 1
               groupM = ObjRS1("member")
               gMember = split(groupM,"・")
               For i=0 to UBound(gMember)
                 If uName = gMember(i) Then
                   flg = "hit"
                   Exit Do
                 Else
                   flg = "nohit"
                 End If
               Next
             ObjRS1.MoveNext
             Loop
             ObjConn1.CommitTrans
             ObjConn1.Close
             If flg="nohit" Then
               cnt = "No-Group"
             End If
             
             If at = 2 Then
               Response.Write "<td><div class='cell00'>" & cnt & "</div></td>"
             End If
           Response.Write "</tr>"
         ObjRS.MoveNext
         Loop
         ObjConn.CommitTrans
         ObjConn.Close
         Set ObjConn = Nothing
       %>
     </table>
     </center>
   </div>
   
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html>
