﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      地図上への複数マッピング
'      admin38.asp
'  
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2016.07.07
'           update  2017.04.29
'***************************************
'
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "地図上への複数データマッピング"
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/funcs.js"></script>
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/main.js"></script>
   <script src="http://maps.google.com/maps?file=api&v=2&key=ABQIAAAAAO-r1bqRz2fZr-QmjsewWxRgE_H9GM6zkZRwNii93jtvjOSYqRTUvjXBD0wChGoBh2xb30zNzkqZmA" type="text/javascript"></script>
   <script>
     function initOnLoad(){
     var lon,lat;
     var map = new GMap2(id("map"));
     map.addControl(new GLargeMapControl());
     map.addControl(new GMapTypeControl());
     map.setCenter(new GLatLng(35.6815617, 139.7672091), 15);
     var xhrObj = getXhrObj();
     xhrObj.open("get", "point.txt");
     xhrObj.onreadystatechange = function(){
         var res = xhrObj.responseText.split(",");
         for(var i = 0; i < res.length; i++){
           if((i % 2) == 0){
             lon = res[i];
           }else{
             lat = res[i];
             var point = new GLatLng(lat, lon);
             var marker = new GMarker(point);
             map.addOverlay(marker);
           }
       }
     }
     xhrObj.send(null);
     }
     setListener(window, "load", initOnLoad);
   </script>
 </head>
 
 <body>
 <div data-role="page">
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   <!-- ここから本文 -->
   <div data-role="content">
     <center>
       <div id="map" width=500 height=500"></div>
     </center>
   </div>
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html>
