﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      画像一覧表示（サムネイル一覧）
'      admin41.asp
'
'  岩手県立総合教育センター
'    情報・産業教育担当
'      Masami Mita  2017.05.05
'           update  2017.05.05
'***************************************
'
'... ページタイトル
  pTitle = "画像一覧（サムネイル）表の表示"

'... Buffer設定
  Response.Buffer = "True"
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css">
   <link rel="stylesheet" href="js/lightbox.min.css">
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/jquery-1.11.3.min.js"></script>
   <style>
   .picSize{
   width: 220px;
   heigt: auto;
   }
   .minStr{
     font-size: 0.8em;
   }
   </style>
 </head>
 <body>
 <div data-role="page">
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   <div data-role="content">
     <center>
     <table border="0" data-role='none'>
       <%
       '... データの取得
         DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
         Server.MapPath("sns_data.mdb")
         Set ObjConn = Server.CreateObject("ADODB.Connection")
         ObjConn.Open DBName
         ObjConn.BeginTrans
         StrSQL = "select * from sns order by ID"
         Set ObjRS = Server.CreateObject("ADODB.Recordset")
         ObjRS.Open StrSQL,ObjConn,3,3
         cnt = 0
         Do until ObjRS.eof
           strMes = ObjRS("mes")
           If InStr(strMes,".jpg")>0 or InStr(strMes,".JPG")>0 or InStr(strMes,".jpeg")>0 or InStr(strMes,".png")>0 Then
             cnt = cnt + 1
             cntNo = cnt mod 4
             Select Case cntNo
               Case 1
                 Response.Write "<tr>"
                 Response.Write "<td data-role='none'>"
                 Response.Write "<a href='doc/" & strMes & "' rel='lightbox[sns]'><img src='doc/" & strMes & "' class='picSize'></a><br>"
                 Response.Write "<span class='minStr'>" & cnt & "　" & strMes & "</span><td>"
               Case 2
                 Response.Write "<td data-role='none'>"
                 Response.Write "<a href='doc/" & strMes & "' rel='lightbox[sns]'><img src='doc/" & strMes & "' class='picSize'></a><br>"
                 Response.Write "<span class='minStr'>" & cnt & "　" & strMes & "</span></td>"
               Case 3
                 Response.Write "<td data-role='none'>"
                 Response.Write "<a href='doc/" & strMes & "' rel='lightbox[sns]'><img src='doc/" & strMes & "' class='picSize'></a><br>"
                 Response.Write "<span class='minStr'>" & cnt & "　" & strMes & "</span></td>"
               Case 0
                 Response.Write "<td data-role='none'>"
                 Response.Write "<a href='doc/" & strMes & "' rel='lightbox[sns]'><img src='doc/" & strMes & "' class='picSize'></a><br>"
                 Response.Write "<span class='minStr'>" & cnt & "　" & strMes & "</span></td>"
                 Response.Write "</tr>"
             End Select
           End If
         ObjRS.MoveNext
         Loop
         ObjConn.CommitTrans
         ObjConn.Close
         Set ObjConn = Nothing
       %>
     </table>
     </center>
   </div>
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 <script src="js/lightbox-plus-jquery.min.js"></script>
 </body>
</html>
