﻿<%
'***************************************
'  「SNS Chat!」 管理者ページ
'      簡易アンケート・データ削除
'      dataDelete.asp
'  
'  岩手県立総合教育センター
'    情報・産業教育担当
'      Masami Mita  2017.04.29
'           update  2018.04.24
'***************************************
'
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "簡易アンケート・データ削除"

'... "POST"形式での値取得
  flg = Request.Form("flg")

'... データの削除
  If flg ="del" Then
    '... DB接続
    DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
    Server.MapPath("enq.mdb")
    Set ObjConn0 = Server.CreateObject("ADODB.Connection")
    ObjConn0.Open DBName
    ObjConn0.BeginTrans
    '... SQL文の作成
    StrSQL = "delete from enq"
    '... SQL実行
    ObjConn0.Execute(StrSQL)
    '... DB接続解除
    ObjConn0.CommitTrans
    ObjConn0.Close
    Set ObjConn = Nothing
  End If

'... データ総数の取得
  '... DB接続
  DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("enq.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  '... SQL文の作成
  StrSQL = "select count(*) from enq"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  '... SQL実行
  ObjRS.Open StrSQL,ObjConn,3,3
  maxValue = ObjRS(0)
  '... DB接続解除
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
%>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
  <link rel="stylesheet" href="../js/jquery.mobile-1.0.min.css" />
  <link rel="stylesheet" href="../js/admin.css" />
  <script type="text/javascript" src="../js/funcs.js"></script>
  <script type="text/javascript" src="../js/jquery-1.6.4.min.js"></script>
  <script type="text/javascript" src="../js/MobileConfig.js"></script>
  <script type="text/javascript" src="../js/jquery.mobile-1.0.min.js"></script>
  <script type="text/javascript" src="../js/main.js"></script>
</head>
<body>
<div data-role="page">
  <!-- ここからヘッダ -->
  <div data-role="header" data-position="fixed" data-theme="e">
    <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
    <a href="../admin.asp">HOME</a>
  </div>
  <!-- ここから本文 -->
  <div data-role="content">
    <table border="0">
      <tr>
        <td>
          <form method="POST" action="dataDelete.asp">
            <div>簡易アンケートのデータを削除するには、［全データ削除］ボタンをクリックしてください。</div>
            <div>［データ数：<% = maxValue %>］</div>
            <input type="submit" value="全データ削除" onClick="return check()">
            <input type="hidden" name="flg" value="del">
          </form>
        </td>
      </tr>
    </table>
  </div>
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html>
