﻿<%
'***************************************
'  SNS Chat!  iconSample.asp
'     ユーザアイコンの選択
'      （サンプルから)
'
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2016.05.14
'           update  2016.05.14
'***************************************
'
  Response.Buffer = "True"

'... ページタイトル
  pTitle = "SNS Chat!　ユーザアイコン変更（サンプル）"

'.. "GET"形式による値取得
  strID     = Request.QueryString("strID")
  at        = Request.QueryString("at"   )
  gln       = Request.QueryString("gln"  )

'... 接続DBの設定
  DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")

'.. Userデータの読み込み
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select userName,face_photo,comment,groupMember,backColor,serflg from user where strID = '" & strID & "'"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  strUser      = ObjRS("userName"   )
  strFacePhoto = ObjRS("face_photo" )
  strCom       = ObjRS("comment"    )
  strGroup2    = ObjRS("groupMember")
  strBC        = ObjRS("backColor"  )
  strSe        = ObjRS("serflg"     )
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing

'... IPアドレス＆ユーザーエージェント取得
  userIP    = Request.ServerVariables("REMOTE_ADDR"    )
  userAgent = Request.ServerVariables("HTTP_USER_AGENT")
%>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title><% = pTitle %></title>
  <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
  <link rel="stylesheet" href="js/main.css"                  />
  <script type="text/javascript" src="js/jquery-1.6.4.min.js"     ></script>
  <script type="text/javascript" src="js/MobileConfig.js"         ></script>
  <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
  <script type="text/javascript" src="js/main.js"                 ></script>
  <style>
    td{
      text-align: center;
    }
    .icon{
      width: 70px;
      height: 70px;
    }
  </style>
</head>
<body>

<div data-role="page">
  <!--  ここからヘッダ＊＊＊＊＊＊＊　-->
  <div data-role="header" data-position="fixed" data-theme="b">
    <a href="index.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>">home</a>
    <h1>SNS Chat! | <% = strUser %></h1>
  </div>
  <!--　ここから本文＊＊＊＊＊＊＊＊　-->
  <div data-role="content">
    <table border="1" width="95%">
      <tr>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=001" data-role="button">001</a>
          <img src="pic/001.gif"class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=002" data-role="button">002</a>
          <img src="pic/002.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=003" data-role="button">003</a>
          <img src="pic/003.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=004" data-role="button">004</a>
          <img src="pic/004.gif" class="icon">
        </td>
      </tr>
      <tr>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=005" data-role="button">005</a>
          <img src="pic/005.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=006" data-role="button">006</a>
          <img src="pic/006.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=007" data-role="button">007</a>
          <img src="pic/007.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=008" data-role="button">008</a>
          <img src="pic/008.gif" class="icon">
        </td>
      </tr>
      <tr>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=009" data-role="button">009</a>
          <img src="pic/009.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=010" data-role="button">010</a>
          <img src="pic/010.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=011" data-role="button">011</a>
          <img src="pic/011.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=012" data-role="button">012</a>
          <img src="pic/012.gif" class="icon">
        </td>
      </tr>
      <tr>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=013" data-role="button">013</a>
          <img src="pic/013.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=014" data-role="button">014</a>
          <img src="pic/014.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=015" data-role="button">015</a>
          <img src="pic/015.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=016" data-role="button">016</a>
          <img src="pic/016.gif" class="icon">
        </td>
      </tr>
      <tr>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=017" data-role="button">017</a>
          <img src="pic/017.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=018" data-role="button">018</a>
          <img src="pic/018.gif" class=icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=019" data-role="button">019</a>
          <img src="pic/019.gif" claa="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=020" data-role="button">020</a>
          <img src="pic/020.gif" class="icon">
        </td>
      </tr>
      <tr>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=021" data-role="button">021</a>
          <img src="pic/021.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=022" data-role="button">022</a>
          <img src="pic/022.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=023" data-role="button">023</a>
          <img src="pic/023.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=024" data-role="button">024</a>
          <img src="pic/024.gif" class="icon">
        </td>
      </tr>
      <tr>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=025" data-role="button">025</a>
          <img src="pic/025.gif" clss="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=026" data-role="button">026</a>
          <img src="pic/026.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=027" data-role="button">027</a>
          <img src="pic/027.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=028" data-role="button">028</a>
          <img src="pic/028.gif" class="icon">
        </td>
      </tr>
      <tr>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=029" data-role="button">029</a>
          <img src="pic/029.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=030" data-role="button">030</a>
          <img src="pic/030.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=031" data-role="button">031</a>
          <img src="pic/031.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=032" data-role="button">032</a>
          <img src="pic/032.gif" class="icon">
        </td>
      </tr>
      <tr>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=033" data-role="button">033</a>
          <img src="pic/033.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=034" data-role="button">034</a>
          <img src="pic/034.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=035" data-role="button">035</a>
          <img src="pic/035.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=036" data-role="button">036</a>
          <img src="pic/036.gif" class="icon">
        </td>
      </tr>
      <tr>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=037" data-role="button">037</a>
          <img src="pic/037.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=038" data-role="button">038</a>
          <img src="pic/038.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=039" data-role="button">039</a>
          <img src="pic/039.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=040" data-role="button">040</a>
          <img src="pic/040.gif" class="icon">
        </td>
      </tr>
      <tr>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=041" data-role="button">041</a>
          <img src="pic/041.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=042" data-role="button">042</a>
          <img src="pic/042.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=043" data-role="button">043</a>
          <img src="pic/043.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=044" data-role="button">044</a>
          <img src="pic/044.gif" class="icon">
        </td>
      </tr>
      <tr>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=045" data-role="button">045</a>
          <img src="pic/045.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=046" data-role="button">046</a>
          <img src="pic/046.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=047" data-role="button">047</a>
          <img src="pic/047.gif" class="icon">
        </td>
        <td>
          <a href="iconSample2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>&icon=048" data-role="button">048</a>
          <img src="pic/048.gif" class="icon">
        </td>
      </tr>
    </table>
  </div>
  <!-- ここからフッタ＊＊＊＊＊＊ -->
  <div data-role="footer" data-position="fixed" data-theme="b">
    <h3></h3>
  </div>
</div>

</body>
</html>
