﻿<% 
'*********************************************
'  SNS Chat!  メインページ（管理者ページ用）
'      index2.asp
'   
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.07.31
'      Last Update  2016.05.14
'********************************************
'
'... Buffer処理の設定
  Response.Buffer = "True"
  
'... 接続DBの設定
  DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")
%>
<!DOCTYPE html>
<%
  pTitle = "SNS Chat!"

'... "GET形式での値取得
  strID      = Request.QueryString("strID")
  at         = Request.QueryString("at"   )
  strText    = Request.Form("strText"     )
  face_Photo = Request.Form("fPhoto"      )
  gln        = Request.QueryString("gln"  )

'... "POST"型式での値取得
  If strUser = "" Then
    strUser = Request.Form("strUser")
  End If
  If strID = "" Then
    strID = Request.Form("strID")
  End If
  If at = "" Then
    at = Request.Form("at")
  End If
  If gln = "" Then
    gln = Request.Form("gln")
  End If

'... IPアドレス＆ユーザーエージェントの取得
  userIP    = Request.ServerVariables("REMOTE_ADDR"    )
  userAgent = Request.ServerVariables("HTTP_USER_AGENT")

'... 自由グループメンバーの取得（at=3の時）
  If at = 3 Then
    If gln <> "" Then
      DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
      Server.MapPath("sns_data.mdb")
      Set ObjConn = Server.CreateObject("ADODB.Connection")
      ObjConn.Open DBName
      ObjConn.BeginTrans
      StrSQL = "select member,groupName from groupList where strIDNumber = '" & gln & "'"
      Set ObjRS = Server.CreateObject("ADODB.Recordset")
      ObjRS.Open StrSQL,ObjConn,3,3
      '... メンバーリスト
      gM = ObjRS("member")
      '... グループ名
      gN = ObjRS("groupName")
      ObjConn.CommitTrans
      ObjConn.Close
      Set ObjRS = Nothing
    End If
  End If

'... ユーザ名・画像ファイルの取得
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select userName,face_photo,groupMember,backColor,used,dispSet from user where strID = '" & strID & "'"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  '..表示名(ex 岩手県人）
  strUser = ObjRS("userName")
  '..顔写真（ex 001.gif）
  strPhoto = ObjRS("face_photo")
  '..グループメンバー［指定グループ］（ex hokkaido・saitama・gifu・tottori・saga）
  groupMember = ObjRS("groupMember")
  '..背景画像（ex 01.gif）
  strBack  = ObjRS("backColor")
  '..利用の不可／可
  strUsed  = ObjRS("used")
  '..グループメンバーの表示設定
  DispSet = ObjRS("dispSet")
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
  
'... 利用不可の場合（→no_used.asp)
  If strUsed = 0 Then
    response.Redirect("no_used.asp")
  End If

'... グループメンバーの分割
  Select Case at
    Case 2
      friends = split(groupMember,"・")
    Case 3
      If gln <> "" Then
        friends = split(gM,"・")
      End If
  End Select

'... コメントのDB保存
  If strText <> "" Then
    '... DB
    Set ObjConn = Server.CreateObject("ADODB.Connection")
    ObjConn.Open DBName
    ObjConn.BeginTrans
    StrSQL1 = "insert into sns ( user , mes , tm , IPad , strID , face_photo, Agent, at, gln ) values ( '"
    StrSQL1 = StrSQL1 & strUser & "','" & strText & "',#" & Now() & "#,'" & userIP & "','" & strID
    StrSQL1 = StrSQL1 & "','" & face_photo & "','" & userAgent & "'," & at & ",'" & gln & "' )"
    ObjConn.Execute(StrSQL1)
    '... DB接続解除
    ObjConn.CommitTrans
    ObjConn.Close
    Set ObjConn = Nothing
  End If
%>
<html>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title><% = strUser %></title>
    <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
    <link rel="stylesheet" href="js/main.css" />
    <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
    <script type="text/javascript" src="js/MobileConfig.js"></script>
    <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
    <style type="text/css">
      .ui-page{
        background: url('back/<% = strBack %>');
      }
      .st{
        max-width : 60px;
        height    : auto;
      }
      .imSize{
        max-width: 25px;
        height   : auto;
      }
      .imSize2{
        max-width: 60px;
        height   : auto;
      }
      .boxSet img{
        border-radius: 15px;
      }
    </style>
    <script>
      var comnum = sessionStorage.getItem("comnum");
    </script>
  </head>

<body>
<div data-role="page">
   <div data-role="header" data-position="fixed" data-theme="b" align="center">　
   </div>
   <div align="center">
     <%
       '...メンバー表示の有無
       If dispSet = 1 Then
         Response.Write "【" & groupMember & "】"
       End If
     %>
   </div>
   <%
   '.... DB接続
   Set ObjConn = Server.CreateObject("ADODB.Connection")
   ObjConn.Open DBName
   ObjConn.BeginTrans
   
   Select Case at
     Case 1
       StrSQL = "select user,mes,tm,strID,face_photo from sns order by ID"
     Case 2
       StrSQL = "select user,mes,tm,strID,face_photo from sns where "
       For i=0 to UBound(friends)-1
         strWhere = strWhere & "strID = '" & friends(i) & "' or "
       Next
       StrSQL = StrSQL & strWhere & " strID = '" & friends(UBound(friends)) & "' order by ID"
     Case 3
       StrSQL = "select user,mes,tm,strID,face_photo from sns where gln = '" & gln & "' order by ID"
   End Select
   Set ObjRS = Server.CreateObject("ADODB.Recordset")
   ObjRS.Open StrSQL,ObjConn,3,3
   cnt = 0
   Do until ObjRS.eof
     '...件数
     cnt = cnt + 1
     '...書き込みstrID
     writeMember = ObjRS("strID")
     '...書き込みコメント
     strMes = ObjRS("mes"       )
     '...書き込み表示名
     userName = ObjRS("user"    )
     '...書き込み画像
     strImg = ObjRS("face_photo")
     
     '... 位置情報文字列変換
     If InStr(strMes,"緯度：")>0 And InStr(strMes,"経度：")>0 And InStr(strMes,"／")>0 Then
       sM     = split(strMes,"／")
       sM0    = FormatNumber(Mid(sM(0),4),4)
       sM1    = FormatNumber(Mid(sM(1),4),4)
       strMes = "緯度：" & sM0 & "<br>" & "経度：" & sM1
     End If
     
     '... 画像ファイルの有無チェック
     If InStr(strMes,".jpg")>0 or InStr(strMes,".JPG")>0 Then
       strMes = "<img src='icon/camera.png' class='imSize'> <a href='doc/" & strMes & "'><img src='doc/" & strMes & "' class='imSize2'></a>"
     ElseIf InStr(strMes,"png")>0 Then
       strMes = "<img src='icon/camera.png' class='imSize'> <a href='doc/" & strMes & "'><img src='doc/" & strMes & "' class='imSize2'></a>"
     End If
     
     '... 動画＆音声ファイルの有無チェック
     If InStr(strMes,".3gpp")>0 or InStr(strMes,".mov")>0 Then
       strMes = "<img src='icon/audio.png' class='imSize'><a href='doc/" & strMes & "'>" & strMes & "</a>"
     ElseIf InStr(strMes,".3gp")>0 or InStr(strMes,".mp4")>0 Then
       strMes = "<img src='icon/video.png' class='imSize'><a href='doc/" & strMes & "'>" & strMes & "</a>"
     End If
     
     '... 位置情報の有無のチェック
     If InStr(strMes,"緯度")>0 Then
       strMes = "<img src='icon/geo.png' class='imSize'>" & strMes
     End If
     
     '... スタンプファイルの有無チェック
     If InStr(strMes,".gif")>0 Then
       strMes = "<img src='image/" & strMes & "' class='st'>"
     End If
     
     '...アクセスタイプによる表示制限ルーチン
     Select Case at
       Case 1
         '...全て表示
         If strID = ObjRS("strID") or ObjRS("strID") = "dummy1" Then
           Response.Write "<table border='0' width='100%'><tr><td align='right'>"
           Response.Write "<table border='0'><tr>"
           strHour   = Right("00" & Hour(ObjRS("tm")),2  )
           strMinute = Right("00" & Minute(ObjRS("tm")),2)
           If InStr(strMes,".gif")>0 Then
             Response.Write "<td><div class='tm'>" & strHour & "時" & strMinute & "分</div></td><td>" & strMes & "</td>"
           Else
             Response.Write "<td><div class='tm'>" & strHour & "時" & strMinute & "分</div></td><td><div class='com_re'>" & strMes & "</div></td>"
           End If
         Else
           Response.Write "<table border='0' width='100%'><tr><td align='left'>"
           Response.Write "<table border='0'><tr>"
           If InStr(strMes,".gif")>0 Then
             Response.Write "<td><div class='boxSet'><img src='pic/" & strImg & "' class='mg'></div></td><td>" & strMes & "</td>"
             Response.Write "<td class='tm'><div>" & userName & "</div><div>" & strHour & "時" & strMinute & "分</div></td>"
           Else
             Response.Write "<td><div class='boxSet'><img src='pic/" & strImg & "' class='mg'></div></td><td><div class='com'>" & strMes & "</div></td>"
             Response.Write "<td class='tm'><div>" & userName & "</div><div>" & strHour & "時" & strMinute & "分</div></td>"
           End If
         End If
       Case 2
         '...指定グループ表示
         For i=0 to UBound(friends)
           If friends(i) = writeMember Then
             strHour   = Right("00" & Hour(ObjRS("tm")),2  )
             strMinute = Right("00" & Minute(ObjRS("tm")),2)
             If strID = ObjRS("strID") Then
               Response.Write "<table border='0' width='100%'><tr><td align='right'>"
               Response.Write "<table border='0'><tr>"
               If InStr(strMes,".gif")>0 Then
                 Response.Write "<td><div class='tm'>" & strHour & "時" & strMinute & "分</div></td><td>" & strMes & "</td>"
               Else
                 Response.Write "<td><div class='tm'>" & strHour & "時" & strMinute & "分</div></td><td><div class='com_re'>" & strMes & "</div></td>"
               End If
             Else
               Response.Write "<table border='0' width='100%'><tr><td align='left'>"
               Response.Write "<table border='0'><tr>"
               If InStr(strMes,".gif")>0 Then
                 Response.Write "<td><div class='boxSet'><img src='pic/" & strImg & "' class='mg'></div></td>"
                 Response.Write "<td>" & strMes & "</td><td class='tm'><div>" & userName & "</div><div>" & strHour & "時" & strMinute & "分</div></td>"
               Else
                 Response.Write "<td><div class='boxSet'><img src='pic/" & strImg & "' class='mg'></div></td>"
                 Response.Write "<td><div class='com'>" & strMes & "</div></td>"
                 Response.Write "<td class='tm'><div>" & userName & "</div><div>" & strHour & "時" & strMinute & "分</div></td>"
               End If
             End If
           End If
         Next
       Case 3
         If gln <> "" Then
         '...自由グループ表示
         For i=0 to UBound(friends)
           If friends(i) = writeMember Then
             strHour   = Right("00" & Hour(ObjRS("tm")),2  )
             strMinute = Right("00" & Minute(ObjRS("tm")),2)
             If strID = ObjRS("strID") Then
               Response.Write "<table border='0' width='100%'><tr><td align='right'>"
               Response.Write "<table border='0'><tr>"
               If InStr(strMes,".gif")>0 Then
                 Response.Write "<td><div class='tm'>" & strHour & "時" & strMinute & "分</div></td><td>" & strMes & "</td>"
               Else
                 Response.Write "<td><div class='tm'>" & strHour & "時" & strMinute & "分</div></td><td><div class='com_re'>" & strMes & "</div></td>"
               End If
             Else
               Response.Write "<table border='0' width='100%'><tr><td align='left'>"
               Response.Write "<table border='0'><tr>"
               If InStr(strMes,".gif")>0 Then
                 Response.Write "<td><div class='boxSet'><img src='pic/" & strImg & "' class='mg'></div></td><td>" & strMes & "</td>"
                 Response.Write "<td class='tm'><div>" & userName & "</div><div>" & strHour & "時" & strMinute & "分</div></td>"
               Else
                 Response.Write "<td><div class='boxSet'><img src='pic/" & strImg & "' class='mg'></div></td><td><div class='com'>" & strMes & "</div></td>"
                 Response.Write "<td class='tm'><div>" & userName & "</div><div>" & strHour & "時" & strMinute & "分</div></td>"
               End If
             End If
           End If
         Next
         End If
     End Select
    
     Response.Write "</tr></table>"
     Response.Write "</td></tr></table>"
    
     ObjRS.MoveNext
   Loop
   
   ObjConn.CommitTrans
   ObjConn.Close
   Set ObjConn = Nothing
   %>
   <div align="center"><% = cnt %>／<output></output></div>
   <div data-role="footer" data-position="fixed" data-theme="b">
     <form method="POST" action="index2.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>">
     <table border="0" width="100%">
       <tr>
         <td><a href="main_menu.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>" data-role="button" data-corners="false">設定</a></td>
         <td><a href="add_contents.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>" data-role="button" data-corners="false">＋</a></td>
         <td>
           <input type="text" name="strText" id="textinput" data="theme="b" class="inpBox" autocomplete="off">
         </td>
         <td>　　</td>
         <td>
           <input type="submit" value="送信／更新" data-corners="false">
           <input type="hidden" name="flg" value="add">
           <input type="hidden" name="fPhoto" value="<% = strPhoto %>">
           <input type="hidden" name="strID"   value="<% = strID %>">
         </td>
       </tr>
     </table>
   </form>
   </div>
 </div>
    <script>
     $(function(){
       $('body').delay(1).animate({
         scrollTop: $(document).height()
       },500);
       
       var ele = document.getElementsByTagName("output")[0];
       ele.innerHTML = comnum;
       
       if(comnum < <% = cnt %>){
         navigator.vibrate([1500,500,1000]);
         sessionStorage.setItem("comnum", <% = cnt %>);
         
         var audioObj = new Audio("sou1.mp3");
         audioObj.play();
       };
     });
    </script>
    <script>
     var flg=1;
     $(function(){
       $("#textinput").focus(function(){
         flg=0;
       });
       $("#textinput").blur(function(){
         flg=1;
       });
     });
     
     var timer = "60000";
     
     function startTimer(){
       myTimer = setInterval(function(){
         if(flg==1){
           window.location.reload();
         };
       },timer);
     };
     startTimer();
    </script>

 </body>
</html> 