﻿<%
'***************************************
'  SNS Chat!  main_menu.asp
'     ユーザメインメニュー
'  
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.08.01
'           update  2016.05.14
'***************************************
'
  Response.Buffer = "True"

'... ページタイトル
  pTitle = "SNS Chat!"

'.. "GET"形式による値取得
  strID     = Request.QueryString("strID")
  at        = Request.QueryString("at"   )
  gln       = Request.QueryString("gln"  )

'... 接続DBの設定
  DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")

'.. Userデータの読み込み
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select userName,face_photo,comment,groupMember,backColor,serflg from user where strID = '" & strID & "'"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  strUser      = ObjRS("userName"   )
  strFacePhoto = ObjRS("face_photo" )
  strCom       = ObjRS("comment"    )
  strGroup2    = ObjRS("groupMember")
  strBC        = ObjRS("backColor"  )
  strSe        = ObjRS("serflg"     )
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing

'... IPアドレス＆ユーザーエージェント取得
  userIP    = Request.ServerVariables("REMOTE_ADDR"    )
  userAgent = Request.ServerVariables("HTTP_USER_AGENT")
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title><% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/main.css"                  />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"     ></script>
   <script type="text/javascript" src="js/MobileConfig.js"         ></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/main.js"                 ></script>
 </head>
 <body>

<div data-role="page">
   
   <!--  ここからヘッダ＊＊＊＊＊＊＊　-->
   <div data-role="header" data-position="fixed" data-theme="b">
     <a href="index.asp?strID=<% = strID %>&at=<% = at %>&gln=<% = gln %>">home</a>
     <h1>SNS Chat! | <% = strUser %></h1>
   </div>
   
   <!--　ここから本文＊＊＊＊＊＊＊＊　-->
   <div data-role="content">
   
   <div data-role="collapsible-set">
     <div data-role="collapsible">
       <h3>名前</h3>
       <p>
       名前：<% = strUser %>
       <form method="POST" action="change.asp">
         <input type="text" name="ch" value="<% = strUser %>">
         <input type="submit" value="変更">
         <input type="hidden" name="flg"   value="ch01"         >
         <input type="hidden" name="strID" value="<% = strID %>">
         <input type="hidden" name="at"    value="<% = at %>"   >
         <input type="hidden" name="gln"   value="<% = gln %>"  >
       </form>
       </p>
     </div>

     <div data-role="collapsible">
       <h3>ひとこと</h3>
       <p>
       ひとこと：<% = strCom %>
       <form method="POST" action="change.asp">
         <textarea name="ch"><% = strCom %></textarea>
         <input type="submit" value="変更">
         <input type="hidden" name="flg"     value="ch02"           >
         <input type="hidden" name="strID"   value="<% = strID  %>" >
         <input type="hidden" name="strUser" value="<% = strUser %>">
         <input type="hidden" name="at"      value="<% = at %>"     >
         <input type="hidden" name="gln"     value="<% = gln %>"    >
       </form>
       </p>
     </div>

     <div data-role="collapsible">
       <h3>ユーザアイコンの設定</h3>
       <center>
       <table border="0">
         <tr>
           <td>
             <a href="iconCamera.asp?strID=<%=strID%>&strUser=<%=strUser%>&at=<%=at%>&gln=<%=gln%>" data-role="button">カメラ画像から</a>
           </td>
         </tr>
         <tr>
           <td>
             <a href="iconSample.asp?strID=<%=strID%>&strUser=<%=strUser%>&at=<%=at%>&gln=<%=gln%>" data-role="button">サンプル画像から</a>
           </td>
         </tr>
       </table>
       </center>
     </div>
     <div data-role="collapsible">
       <h3>背景画像の変更</h3>
       <center>
       <div><a href="bgCamera.asp?flg=cam&strID=<% = strID %>&strUser=<% = strUser %>&at=<% = at %>&gln=<% = gln %>" data-role="button">カメラ画像からの背景設定</a></div>
       <table border="0">
         <tr>
           <td align="center">
             <form method="POST" action="change.asp">
               <input type="image" src="back/01.gif">
               <input type="hidden" name="ch"      value="01"             >
               <input type="hidden" name="flg"     value="ch03"           >
               <input type="hidden" name="strID"   value="<% = strID %>"  >
               <input type="hidden" name="strUser" value="<% = strUser %>">
               <input type="hidden" name="at"      value="<% = at %>"     >
               <input type="hidden" name="gln"     value="<% = gln %>"    >
               <img src="back/01.gif">
             </form>
           </td>
           <td align="center">
             <form method="POST" action="change.asp">
               <input type="image" src="back/02.gif">
               <input type="hidden" name="ch"      value="02"             >
               <input type="hidden" name="flg"     value="ch03"           >
               <input type="hidden" name="strID"   value="<% = strID %>"  >
               <input type="hidden" name="strUser" value="<% = strUser %>">
               <input type="hidden" name="at"      value="<% = at %>"     >
               <input type="hidden" name="gln"     value="<% = gln %>"    >
               <img src="back/02.gif">
             </form>
           </td>
           <td align="center">
             <form method="POST" action="change.asp">
               <input type="image" src="back/03.gif">
               <input type="hidden" name="ch"      value="03"             >
               <input type="hidden" name="flg"     value="ch03"           >
               <input type="hidden" name="strID"   value="<% = strID %>"  >
               <input type="hidden" name="strUser" value="<% = strUser %>">
               <input type="hidden" name="at"      value="<% = at %>"     >
               <input type="hidden" name="gln"     value="<% = gln %>"    >
               <img src="back/03.gif">
             </form>
           </td>
           <td align="center">
             <form method="POST" action="change.asp">
               <input type="image" src="back/04.gif">
               <input type="hidden" name="ch"      value="04"             >
               <input type="hidden" name="flg"     value="ch03"           >
               <input type="hidden" name="strID"   value="<% = strID %>"  >
               <input type="hidden" name="strUser" value="<% = strUser %>">
               <input type="hidden" name="at"      value="<% = at %>"     >
               <input type="hidden" name="gln"     value="<% = gln %>"    >
               <img src="back/04.gif">
             </form>
           </td>
         </tr>
         <tr>
           <td align="center">
             <form method="POST" action="change.asp">
               <input type="image" src="back/05.gif">
               <input type="hidden" name="ch"      value="05"             >
               <input type="hidden" name="flg"     value="ch03"           >
               <input type="hidden" name="strID"   value="<% = strID %>"  >
               <input type="hidden" name="strUser" value="<% = strUser %>">
               <input type="hidden" name="at"      value="<% = at %>"     >
               <input type="hidden" name="gln"     value="<% = gln %>"    >
               <img src="back/05.gif">
             </form>
           </td>
           <td align="center">
             <form method="POST" action="change.asp">
               <input type="image" src="back/06.gif">
               <input type="hidden" name="ch"      value="06"             >
               <input type="hidden" name="flg"     value="ch03"           >
               <input type="hidden" name="strID"   value="<% = strID %>"  >
               <input type="hidden" name="strUser" value="<% = strUser %>">
               <input type="hidden" name="at"      value="<% = at %>"     >
               <input type="hidden" name="gln"     value="<% = gln %>"    >
               <img src="back/06.gif">
             </form>
           </td>
           <td align="center">
             <form method="POST" action="change.asp">
               <input type="image" src="back/07.gif">
               <input type="hidden" name="ch"      value="07"             >
               <input type="hidden" name="flg"     value="ch03"           >
               <input type="hidden" name="strID"   value="<% = strID %>"  >
               <input type="hidden" name="strUser" value="<% = strUser %>">
               <input type="hidden" name="at"      value="<% = at %>"     >
               <input type="hidden" name="gln"     value="<% = gln %>"    >
               <img src="back/07.gif">
             </form>
           </td>
           <td align="center">
             <form method="POST" action="change.asp">
             <input type="image" src="back/08.gif">
               <input type="hidden" name="ch"      value="08"             >
               <input type="hidden" name="flg"     value="ch03"           >
               <input type="hidden" name="strID"   value="<% = strID %>"  >
               <input type="hidden" name="strUser" value="<% = strUser %>">
               <input type="hidden" name="at"      value="<% = at %>"     >
               <input type="hidden" name="gln"     value="<% = gln %>"    >
               <img src="back/08.gif">
             </form>
           </td>
         <tr>
         </tr>
           <td align="center">
             <form method="POST" action="change.asp">
               <input type="image" src="back/09.gif">
               <input type="hidden" name="ch"      value="09"             >
               <input type="hidden" name="flg"     value="ch03"           >
               <input type="hidden" name="strID"   value="<% = strID %>"  >
               <input type="hidden" name="strUser" value="<% = strUser %>">
               <input type="hidden" name="at"      value="<% = at %>"     >
               <input type="hidden" name="gln"     value="<% = gln %>"    >
               <img src="back/09.gif">
             </form>
           </td>
           <td align="center">
             <form method="POST" action="change.asp">
             <input type="image" src="back/10.gif">
               <input type="hidden" name="ch"      value="10"             >
               <input type="hidden" name="flg"     value="ch03"           >
               <input type="hidden" name="strID"   value="<% = strID %>"  >
               <input type="hidden" name="strUser" value="<% = strUser %>">
               <input type="hidden" name="at"      value="<% = at %>"     >
               <input type="hidden" name="gln"     value="<% = gln %>"    >
               <img src="back/10.gif">
             </form>
           </td>
         </tr>
       </table>
       </center>
     </div>
     
     <div data-role="collapsible">
       <h3>IPアドレス＆ユーザーエージェント</h3>
         <p>【IPアドレス】<p>
           <div class="IP"><% = userIP %></div>
         </p>
         <br>
         <p>【ユーザーエージェント】</p>
           <div class="agent"><% = userAgent %></div>
         </p>
     </div>
     
     <div data-role="collapsible">
       <h3>IDによる友だち追加を許可</h3>
       <p>
       <%
         If strSe = "on" Then
           strCK1 = "selected"
           strCK2 = ""
         Else
           strCK1 = ""
           strCK2 = "selected"
         End If
       %>
       <form method="POST" action="change.asp">
         <select name="ch" id="toggle-switch" data-role="slider"       >
           <option value="on"  <% = strCK1 %>>する             </option>
           <option value="off" <% = strCK2 %>>しない           </option>
         </select>
         <input type="hidden" name="flg"     value="ch04"              >
         <input type="hidden" name="strID"   value="<% = strID %>"     >
         <input type="hidden" name="strUser" value="<% = strUser %>"   >
         <input type="hidden" name="at"      value="<% = at %>"        >
         <input type="hidden" name="gln"     value="<% = gln %>"       >
         <input type="submit" value="設定">
       </form>
       </p>
     </div>
     
     <%
       If at = 3 Then
         %>
         <div data-role="collapsible">
         <h3>表示するグループ</h3>
         <p>
         <form method="POST" action="ingroupList.asp">
           <input type="hidden" name="strID"   value="<% = strID %>"  >
           <input type="hidden" name="strUser" value="<% = strUser %>">
           <input type="hidden" name="at"      value="<% = at %>"     >
           <input type="hidden" name="gln"     value="<% = gln %>"    >
           <input type="submit" value="表示">
         </form>
         </p>
       </div>
       <%
         End If
       %>
       <%
         If at = 3 Then
       %>
     <div data-role="collapsible">
       <h3>グループの新規作成</h3>
       <p><a href="ingroupNew.asp?strID=<% = strID %>&at=<% = at %>&strUser=<% = strUser %>" data-role="button">新規作成</a></p>
     </div>

     <%
       End If
     %>

     <!--- ここから非表示＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
     <div data-role="collapsible">
       <h3>画像の変更を公開</h3>
       <p></p>
     </div>

     <div data-role="collapsible">
       <h3>アカウント</h3>
       <p></p>
     </div>

     <div data-role="collapsible">
       <h3>パスコードロック</h3>
       <p></p>
     </div>

     <div data-role="collapsible">
       <h3>メッセージ受信拒否</h3>
       <p></p>
     </div>

     <div data-role="collapsible">
       <h3>PINコード</h3>
       <p></p>
     </div>
     
     ここまで非表示　-->
   
   </div>
   </div>
   <!-- ここからフッタ＊＊＊＊＊＊ -->
   <div data-role="footer" data-position="fixed" data-theme="b">
     <h3></h3>
   </div>
 </div>

 </body>
</html>
