﻿<%
'***************************************
'  SNS Chat!  コンテンツ追加（例文作成）
'      画像ファイル追加
'      pContents.asp
'  
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2016.05.03
'           update  2016.06.04
'***************************************
'
'... Buffer設定
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "SNS CHat!"
  
'.. "GET"形式による値取得
  strID     = Request.Form("strID"  )
  at        = Request.Form("at"     )
  flg       = Request.Form("flg"    )
  tar       = Request.Form("tar"    )
    
'... IPアドレス＆ユーザーエージェント取得
  userIP    = Request.ServerVariables("REMOTE_ADDR")
  userAgent = Request.ServerVariables("HTTP_USER_AGENT")

'.. Userデータの読み込み
  DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select userName,face_photo,comment,groupMember,backColor from user where strID = '" & strID & "'"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  strUser      = ObjRS("userName"   )
  strFacePhoto = ObjRS("face_photo" )
  strCom       = ObjRS("comment"    )
  strGroup2    = ObjRS("groupMember")
  strBC        = ObjRS("backColor"  )
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title><% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/main.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <style type="text/css">
     .imgView{
       width: 280px;
       border: solid 2px #AAAAAA;
     }
   </style>
<script>
$(function(){
	var setFileInput = $('.imgInput');

	setFileInput.each(function(){
		var selfFile = $(this),
		selfInput = $(this).find('input[type=file]');

		selfInput.change(function(){
			var file = $(this).prop('files')[0],
			fileRdr = new FileReader(),
			selfImg = selfFile.find('.imgView');

			if(!this.files.length){
				if(0 < selfImg.size()){
					selfImg.remove();
					return;
				}
			} else {
				if(file.type.match('image.*')){
					if(!(0 < selfImg.size())){
						selfFile.append('<center><img alt="" class="imgView"></center>');
					}
					var prevElm = selfFile.find('.imgView');
					fileRdr.onload = function() {
						prevElm.attr('src', fileRdr.result);
					}
					fileRdr.readAsDataURL(file);
				} else {
					if(0 < selfImg.size()){
						selfImg.remove();
						return;
					}
				}
			}
		});
	});
});
</script>
<script>
$(function() {
	if ($('#cameraImage').val().length == 0) {
		$('#sb').attr('disabled', 'disabled');
	}
	$('#cameraImage').bind('keydown keyup keypress change', function() {
		if ($(this).val().length > 0) {
			$('#sb').removeAttr('disabled');
		} else {
			$('#sb').attr('disabled', 'disabled');
		}
	});
});
</script>
</head>
<body>
<div data-role="page">

 <!-- ここからヘッダ -->
 <div data-role="header" data-position="fixed" data-theme="b">
   <h1>SNS Chat! ［<% = strUser %>］</h1>
 </div>
 <!-- ここから本文 -->
 <div data-role="content">
   <div class="imgInput">
   <form method="POST" action="pContents2.asp" enctype="multipart/form-data">
     <center>
     <table border="0">
       <tr>
         <td>
           <input type="file" name="strFile" accept="image/*; capture=camera" id="cameraImage" value="写真"><br>
         </td>
       </tr>
       <tr>
         <td>
           <input type="submit" value="アップロード" id="sb">
           <input type="hidden" name="strID"   value="<% = strID %>"  >
           <input type="hidden" name="at"      value="<% = at    %>"  >
           <input type="hidden" name="gln"     value="<% = gln   %>"  >
           <input type="hidden" name="tar"     value="<% = tar   %>"  >
         </td>
       </tr>
     </table>
     </center>
     <hr>
   </form>
   </div>
 </div>
 <!-- ここからフッタ -->
 <div data-role="footer" data-position="fixed" data-theme="b">
   <h3></h3>
 </div>
 </div>
 </body>
</html>
