﻿<%
'***************************************
'  SNS チャット　管理者ページ ver3
'      admin.asp
'  
'  岩手県立総合教育センター
'    情報・産業教育担当
'      Masami Mita  2015.08.06
'           update  2018.06.03
'***************************************
'
  Response.Buffer = "True"
  verNo = "3.0"
%>
<!DOCTYPE html>
<%
'... ページタイトル
  pTitle = "SNS Chat! 管理者ページ"

'... "POST"形式の値取得
  used   = Request.Form("used")
  flg    = Request.Form("flg" )
  strMes = ""

'... IPアドレス＆ユーザーエージェント取得
  userIP    = Request.ServerVariables("REMOTE_ADDR"    )
  userAgent = Request.ServerVariables("HTTP_USER_AGENT")

'... DB読み込み
  DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select * from user order by ID"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  strUsed = ObjRS("used")
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing

'... 表示データの取得
  DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select AT from AccessType where ID = 1"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  at = ObjRS("AT")
  ObjConn.CommitTrans
  ObjConn.Close

'... 接続端末情報の取得
  If Instr(userAgent,"Windows")>0 Then
    msg = "***** access from Windows *****"
  End If
  If InStr(userAgent,"iPad")>0 Then
    msg = "***** access from iPad *****"
  End If
  If InStr(userAgent,"Android")>0 Then
    msg = "***** access from Android *****"
  End If
%>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ</title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/main.js"></script>
   <style type="text/css">
     td{
       vertical-align: top;
     }
   </style>
 </head>
 <body>
 
 <div data-role="page">
   
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ</h3>
   </div>
   
   <!-- ここから本文 -->
   <div data-role="content">
     <center>
     
     <table border="0">
       <tr>
         <td width="200">
           <%
             Select Case strUsed
               Case 1
                 ck1 = "checked='checked'"
                 ck2 = ""
               Case 0
                 ck1 = ""
                 ck2 = "checked='checked'"
             End Select
           %>
           <div data-role="fieldcontain">
             <fieldset data-role="controlgroup">
               <div><legend>ユーザの使用制限</legend></div>
                 <input type="radio" name="used" id="rb1" value="1" <% = ck1 %>/>
                 <label for="rb1">利用 可能</label>
                 <input type="radio" name="used" id="rb2" value="0" <% = ck2 %>/>
                 <label for="rb2">利用 不可</label>
             </fieldset>
           </div>
         </td>
         <td width="80">
         </td>
         <td width="300">
           <div data-role="collapsible" class="blockBox">
             <h3>ログイン方法の設定</h3>
             <p><a href="admin04.asp">ログイン方法の設定    </a></p>
             <p><a href="admin08.asp">ログイン情報の初期化  </a></p>
             <p><a href="admin16.asp">ログインユーザ一覧表示</a></p>
             <p><a href="admin37.asp">表示PCのIPアドレス登録</a></p>
           </div>
           
           <div data-role="collapsible" class="blockBox">
             <h3>利用者アクセス設定</h3>
             <p><a href="admin11.asp">利用者アクセス設定</a></p>
           </div>
           
           <%
           Select Case at
             Case 2
           %>
           <div data-role="collapsible" class="blockBox" id="menu_at2">
             <h3>指定グループ</h3>
             <p><a href="admin15.asp">指定グループ毎のコメント数表示  </a></p>
             <p><a href="admin17.asp">指定グループ別SNS表示           </a></p>
             <p><a href="admin22.asp">指定グループメンバーの表示設定  </a></p>
             <p><a href="admin14.asp">指定グループのDB更新            </a></p>
             <p><a href="admin39.asp"       >指定グループの設定       </a></p>
             <p><a href="admin40.asp"       >指定グループのダラダラ一覧表</a></p>
           </div>
           <%
             Case 3
           %>
           <div data-role="collapsible" class="blockBox" id="menu_at3">
             <h3>自由グループ</h3>
             <p><a href="admin23.asp">自由グループ表示                </a></p>
             <p><a href="admin24.asp">自由グループ関連図              </a></p>
             <p><a href="admin25.asp">自由グループ毎SNS表示           </a></p>
             <p><a href="admin26.asp">自由グループのコメント数表示    </a></p>
             <p><a href="admin27.asp">自由グループ削除                </a></p>
             <p><a href="admin28.asp">自由グループデータのバックアップ</a></p>
             <p><a href="admin29.asp">自由グループデータのリストア    </a></p>
           </div>
           <%
           End Select
           %>
         </td>  
         <td width="300">
           <div data-role="collapsible" class="blockBox">
             <h3>入力データ一覧</h3>
             <p><a href="admin01.asp">入力データ一覧表示              </a></p>
             <p><a href="admin02.asp">位置情報データ一覧表示          </a></p>
             <p><a href="admin09.asp">画像データ一覧表示              </a></p>
             <p><a href="admin41.asp">画像データ一覧表示（サムネイル）</a></p>
             <p><a href="admin03.asp">入力データ一括削除              </a></p>
             <p><a href="admin21.asp">入力データをExcelとして保存     </a></p>
           </div>
           
           <div data-role="collapsible" class="blockBox">
             <h3>データのバックアップ・リストア</h3>
             <p><a href="admin10.asp">データのバックアップ実行        </a></p>
             <p><a href="admin19.asp">データのリストア実行            </a></p>
           </div>
           
           <div data-role="collapsible" class="blockBox">
             <h3>例文作成</h3>
             <p><a href="admin30.asp">例文作成ツール                  </a></p>
             <p><a href="admin32.asp">管理者からのコメント入力（一文）</a></p>
           </div>
           
         </td>
         <td width="300">
           <div data-role="collapsible" class="blockBox">
             <h3>利用者一覧</h3>
             <p><a href="admin05.asp">利用者一覧の表示                </a></p>
             <p><a href="admin06.asp">利用者の追加                    </a></p>
             <p><a href="admin07.asp">利用者の削除                    </a></p>
             <p><a href="admin18.asp">利用者の修正                    </a></p>
             <p><a href="admin12.asp">利用者のIPアドレス一覧          </a></p>
             <p><a href="admin31.asp">IDによる友達追加の許可          </a></p>
           </div>
           
           <div data-role="collapsible" class="blockBox">
             <h3>利用コンテンツの制限</h3>
             <p><a href="admin13.asp">利用コンテンツの制限            </a></p>
           </div>
           
           <div data-role="collapsible" class="blockBox">
             <h3>データの初期化</h3>
             <p><a href="admin33.asp">背景データのリセット            </a></p>
             <p><a href="admin03.asp">入力データ一括削除              </a></p>
             <p><a href="admin34.asp">ユーザデータの初期化            </a></p>
             <p><a href="admin35.asp">ユーザデータのバックアップ      </a></p>
             <p><a href="admin36.asp">ユーザデータのリストア          </a></p>
           </div>
           
           <div data-role="collapsible" class="blockBox">
             <h3>簡易アンケート</h3>
             <p><a href="enq/useOnOff.asp"   >簡易アンケートの利用設定  </a></p>
             <p><a href="enq/dataDisp.asp"   >簡易アンケート結果        </a></p>
             <p><a href="enq/dataDelete.asp" >簡易アンケート・データ削除</a></p>
             <p><a href="enq/editCateSel.asp">簡易アンケート・問題編集  </a></p>
           </div>
           
           <div data-role="collapsible" class="blockBox">
             <h3>占いの館</h3>
             <p><a href="fortune/useOnOff.asp">「占いの館」の利用設定  </a></p>
             <p><a href="fortune/admin.asp"   >「占いの館利用履歴         </a></p>
           </div>
           
           <div data-role="collapsible" class="blockBox">
             <h3>メニュー</h3>
             <p><a href="admin42-1.asp">「メニュー」の利用設定  </a></p>
             <p><a href="admin43.asp"   >「メニュー」の表示設定  </a></p>
           </div>
           
           <div data-role="collapsible" class="blockBox">
             <h3>投票箱</h3>
             <p><a href="admin44.asp">「投票箱」の利用設定  </a></p>
           </div>

         </td>
       </tr>
     </table>
     </center>
   </div>
   
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %>　　　　　　<% = msg %>　　　ver<% = verNo %></h3>
   </div>
 </div>
 <div id="mes"></div>
 </body>
 <script>
  $("#rb1,#rb2").click(function(){
    $.post('admin20-2.asp',
      {param1: $("input[name='used']:checked").val()},
      function(data,textStatus,XMLHttpRequest){
        $("#mes").html("<div class='mesBox'>設定を変更しました。</div>");
        $("#mes:not(:animated)").fadeIn("slow",function(){
          $(this).delay(2000).fadeOut("slow");
        });
      });
    });
  </script>
</html>
