﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      admin01.asp
'
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.08.06
'           update  2016.06.07
'
'    tablesorter機能追加
'
'***************************************
'
'... Bufferの設定
  Response.Buffer = "True"

'... ページタイトル
  pTitle = "データ一覧"

'... "POST"形式での値取得
  flg   = Request.Form("flg"  )
  delNo = Request.Form("delNo")

'... データの削除
  If flg ="del" Then
    DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
    Server.MapPath("sns_data.mdb")
    Set ObjConn = Server.CreateObject("ADODB.Connection")
    ObjConn.Open DBName
    ObjConn.BeginTrans
    StrSQL = "delete from sns where ID = " & delNo
    ObjConn.Execute(StrSQL)
    ObjConn.CommitTrans
    ObjConn.Close
    Set ObjConn = Nothing
  End If
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/main.js"></script>
   <script type="text/javascript" src="js/jquery.tablesorter.js"></script>
   <script type="text/javascript">
     $(document).ready(function() 
       { 
           $("#myTable").tablesorter(); 
       } 
     ); 
   </script>
   <style>
     .ig{
       width: auto;
       max-height: 50px;
     }
     table{
       width        : 90%;
       margin-left  : 20px;
       margin-right : 20px;
       margin-top   : 10px;
       margin-bottom: 10px;
     }
     .headerT{
       background-color: #FADD57;
     }
   </style>
 </head>
 <body>
 
 <div data-role="page">
   
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   
   <div role="main">
     <center>
     <table id="myTable" class="tablesorter" border="1">
       <thead>
       <tr>
         <th width="70"  class="headerT"><div class="tl">No        </div></th>
         <th width="88"  class="headerT"><div class="tl">Icon      </div></th>
         <th width="120" class="headerT"><div class="tl">ユーザー名</div></th>
         <th width="120" class="headerT"><div class="tl">IP        </div></th>
         <th             class="headerT"><div class="tl">メッセージ</div></th>
         <th width="170" class="headerT"><div class="tl">時間      </div></th>
         <th width="100" class="headerT"><div class="tl">削除      </div></th>
       </tr>
       </thead>
       <tbody>
       <%
         DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
         Server.MapPath("sns_data.mdb")
         Set ObjConn = Server.CreateObject("ADODB.Connection")
         ObjConn.Open DBName
         ObjConn.BeginTrans
         StrSQL = "select ID,user,mes,tm,IPad,face_photo from sns order by ID DESC;"
         Set ObjRS = Server.CreateObject("ADODB.Recordset")
         ObjRS.Open StrSQL,ObjConn,3,3
         Do until ObjRS.eof
           Response.Write "<tr>"
           Response.Write "<td class='va'><div class='cell' valign='middle'>" & ObjRS("ID") & "</div></td>"
           Response.Write "<td class='va'><div class='boxSet'><img src='pic/" & ObjRS("face_photo") & "'></div></td>"
           Response.Write "<td class='va'><div class='cell' valign='middle'>" & ObjRS("user") & "</div></td>"
           Response.Write "<td class='va'><div class='cell'>" & ObjRS("IPad") & "</div></td>"
           
           strMes = ObjRS("mes")
           
           If InStr(strMes,".jpg")>0 Then
             strMes = "<a href='doc/" & strMes & "'><img src='icon/pho.png' width='20' height='25'>" & strMes & "</a>"
           ElseIf InStr(strMes,".gif")>0 Then
             strMes = "<img src='image/" & strMes & "' class='ig'>"
           End If
           
           Response.Write "<td class='va'><div class='cell'>" & strMes & "</div></td>"
           
           Response.Write "<td class='va'><div class='cell'>" & ObjRS("tm") & "</div></td>"
           Response.Write "<td>"
           Response.Write "<form method='POST' action='admin01.asp' class='fm'>"
           Response.Write "<input type='submit' value='削除' onClick='return checkDel()'>"
           Response.Write "<input type='hidden' name='flg' value='del'>"
           Response.Write "<input type='hidden' name='delNo' value='" & ObjRS("ID") & "'>"
           Response.Write "</form>"
           Response.Write "</td>"
           Response.Write "</tr>"
         ObjRS.MoveNext
         Loop
         ObjConn.CommitTrans
         ObjConn.Close
         Set ObjConn = Nothing
       %>
       </tbody>
     </table>
     </center>
   </div>
   
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html>
