﻿<%
'***************************************
'  SNS Chat!  コンテンツ追加
'      位置情報からGoogleMapへ
'      admin02-1.asp
'  
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.09.07
'           update  2016.05.22
'***************************************

'... ページタイトル
  pTitle = "SNS Chat! ：位置情報から地図表示"

'... "GET"形式の値取得
  aV = Request.QueryString("aV")
  bV = Request.QueryString("bV")

'... IPアドレス＆ユーザーエージェント取得
  userIP    = Request.ServerVariables("REMOTE_ADDR"    )
  userAgent = Request.ServerVariables("HTTP_USER_AGENT")
  
  Response.Buffer = "True"
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title><% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script src="http://maps.google.com/maps?file=api&v=2&key=ABQIAAAAAO-r1bqRz2fZr-QmjsewWxRgE_H9GM6zkZRwNii93jtvjOSYqRTUvjXBD0wChGoBh2xb30zNzkqZmA" type="text/javascript"></script>
   <script type="text/javascript" src="js/funcs.js"></script>
   <script type="text/javascript">
     function initOnLoad(){
       var inipoint = new GLatLng(<% = aV %>, <% = bV %>);
       var map = new GMap2(id("map"));
       map.setCenter(inipoint ,17);
       map.addControl(new GLargeMapControl());
       map.addControl(new GMapTypeControl());
       var icon = new GIcon();
       icon.image = "icon/target.gif";
       icon.iconSize = new GSize(100, 100);
       icon.iconAnchor = new GPoint(50, 50);
       var marker = new GMarker(map.getCenter(), icon);
       map.addOverlay(marker);
       GEvent.addListener(map, "move", function(){ 
         map.removeOverlay(marker); 
         marker = new GMarker(map.getCenter(), icon);
         map.addOverlay(marker);
         var latlngStr = '[緯度：' + inipoint.lng() + '／経度：' + inipoint.lat() + ']';
         id("latlon").innerHTML = latlngStr;
       });
     }
     setListener(window, "load", initOnLoad);
  </script>

</head>
 <body>

<div data-role="page">
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="e">
     <h1><% = pTitle %></h1>
     <a href="admin.asp">HOME</a>
   </div>
   
   <!-- ここから本文 -->
   <div data-role="content">
   <center>
     <span id="latlon" class="aton"></span>
     <div id="map" style="width: 1000px; height: 440px" class="mpB"></div>
   </center>
   </div>
   
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3></h3>
   </div>
 </div>
 </body>
</html>
