﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      位置情報一覧表
'      admin02.asp
'  
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.09.03
'           update  2017.04.29
'***************************************

'... ページタイトル
  pTitle = "位置情報一覧"

'... Buffer設定
  Response.Buffer = "True"
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
 </head>
 <body>
 
 <div data-role="page">

   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>

   <div data-role="content">
     <center>
     <table border="1">
       <tr>
         <td><div class="tl">No</div></td>
         <td><div class="tl">ユーザー名</div></td>
         <td><div class="tl">ID</div></td>
         <td><div class="tl">IP</div></td>
         <td><div class="tl">位置情報</div></td>
         <td><div class="tl">時間</div></td>
       </tr>
       <%
         DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
         Server.MapPath("sns_data.mdb")
         Set ObjConn = Server.CreateObject("ADODB.Connection")
         ObjConn.Open DBName
         ObjConn.BeginTrans
         StrSQL = "select ID,user,mes,tm,IPad,strID from sns order by ID DESC;"
         Set ObjRS = Server.CreateObject("ADODB.Recordset")
         ObjRS.Open StrSQL,ObjConn,3,3
         Do until ObjRS.eof
           If InStr(ObjRS("mes"),"経度")>0 Then
             
             '... 位置情報の生成
             strGeo = ObjRS("mes")
             geoData = split(strGeo,"／")
             geoData(0) = Mid(geoData(0),4)
             geoData(1) = Mid(geoData(1),4)
             Response.Write "<tr>"
             Response.Write "<td><div class='cell'>" & ObjRS("ID") & "</div></td>"
             Response.Write "<td><div class='cell'>" & ObjRS("user") & "</div></td>"
             Response.Write "<td><div class='cell'>" & ObjRS("strID") & "</div></td>"
             Response.Write "<td><div class='cell'>" & ObjRS("IPad") & "</div></td>"
             Response.Write "<td><div class='cell'><a href='admin02-1.asp?aV=" & geoData(0) & "&bV=" & geoData(1) & "'>" & ObjRS("mes") & "</a></div></td>"
             Response.Write "<td><div class='cell'>" & ObjRS("tm") & "</div></td>"
             Response.Write "</tr>"
           End If
         ObjRS.MoveNext
         Loop
         ObjConn.CommitTrans
         ObjConn.Close
         Set ObjConn = Nothing
       %>
     </table>
     </center>
   </div>
   
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html> 