﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      ログイン情報の初期化
'      admin08.asp
'  
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.09.03
'           update  2017.04.29
'***************************************

  Response.Buffer = "True"

'... ページタイトル
  pTitle = "ログイン情報の初期化"
  
'... POST形式での値取得
  flg   = Request.Form("flg")
  
'... ログインデータの初期化
  If flg = "ini" Then
    DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
    Server.MapPath("sns_data.mdb")
    Set ObjConn = Server.CreateObject("ADODB.Connection")
    ObjConn.Open DBName
    ObjConn.BeginTrans
    StrSQL = "update user set Login = 0"
    ObjConn.Execute(StrSQL)
    ObjConn.CommitTrans
    ObjConn.Close
    Set ObjConn = Nothing
  End If
%>

<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/main.js"></script>
 </head>
 <body>
 
 <div data-role="page">
  
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   
   <div data-role="content">
     <center>
     <%
       If flg = "ini" Then
         Response.Write "<div>ログイン情報を初期化しました。</div>"
       End If
     %>
       <table border="0" width="200">
         <tr>
           <td>
             <form method="POST" action="admin08.asp">
               <input type="submit" value="初期化" onClick='return checkUpdate()'>
               <input type="hidden" name="flg" value="ini">
             </form>
           </td>
         </tr>
       </table>
     </center>
   </div>
   
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html>
