﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      データのアックアップ
'      admin10.asp
'  
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.09.18
'           update  2017.04.29
'***************************************
'
'... Buffer設定
  Response.Buffer = "True"

'... ページタイトル
  pTitle = "データのバックアップ"

'... 変数宣言
  Dim wd(10)
  wd(1) = "日"
  wd(2) = "月"
  wd(3) = "火"
  wd(4) = "水"
  wd(5) = "木"
  wd(6) = "金"
  wd(7) = "土"
  
'... "POST"形式での値取得
  flg    = Request.Form("flg")
  strMes = ""
  data01 = Request.Form("data01")
  data02 = Request.Form("data02")
  data03 = Request.Form("data03")
  data04 = Request.Form("data04")
  data05 = Request.Form("data05")
  
  dataTl = data01 & "／" & data02 & "／" & data03 & "／" & data04 & "／" & data05

'... バックアップの実行
  If flg = "backup" Then
    DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
    Server.MapPath("sns_data.mdb")
    Set ObjConn = Server.CreateObject("ADODB.Connection")
    ObjConn.Open DBName
    ObjConn.BeginTrans
    StrSQL = "select user,mes,tm,IPad,strID,face_photo,Agent,at,gln from sns order by ID"
    Set ObjRS = Server.CreateObject("ADODB.Recordset")
    ObjRS.Open StrSQL,ObjConn,3,3
    Do until ObjRS.eof
      user      = ObjRS("user"      )
      mes       = ObjRS("mes"       )
      tm        = ObjRS("tm"        )
      IP        = ObjRS("IPad"      )
      strID     = ObjRS("strID"     )
      agent     = ObjRS("Agent"     )
      facePhoto = ObjRS("face_photo")
      at        = ObjRS("at"        )
      gln       = ObjRS("gln"       )
      
      '... DBへの保存
      Set ObjConn1 = Server.CreateObject("ADODB.Connection")
      ObjConn1.Open DBName
      ObjConn1.BeginTrans
      StrSQL1 = "insert into backup ( user, mes, tm, IP, strID, Agent, backupTm, bTitle, face_photo, at, gln ) values ( '" & user & "','" & mes & "',#" & tm & "#, '" & IP & "', '" & strID & "', '" & agent & "', #" & Now() & "#, '" & dataTl & "', '" & facePhoto & "'," & at & ",'" & gln & "' )"
      ObjConn1.Execute(StrSQL1)
      ObjConn1.CommitTrans
      ObjConn1.Close
      Set ObjConn1 = Nothing
    ObjRS.MoveNext
    Loop
    ObjConn.CommitTrans
    ObjConn.Close
    Set ObjConn = Nothing
    strMes = "バックアップ完了"
  End If
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/main.js"></script>
 </head>
 <body>
 
 <div data-role="page">
  
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>

   <!-- ここから本文 -->
   <center>
   <table border="0" width="50%">
     <tr>
       <td>
         <center>
           <div class='adminMes'><% = strMes %></div></center>
           <form method="POST" action="admin10.asp">
             <label for="ck1">日時：</label>
             <input type="text" name="data01" id="ck1" placeholder="日時：2015年11月07日（土）" value="<% =year(now())%>年<%=Right("00"&month(Now()),2)%>月<%=Right("00"&day(Now()),2)%>日（<%=wd(weekday(Now()))%>）">
             <label for="ck2">学校：</label>
             <input type="text" name="data02" placeholder="学校：花巻市立銀河中学校" value="○○市立○○学校">
             <label for="ck3">学年：</label>
             <input type="text" name="data03" placeholder="学年：２年生" value="○年生">
             <label for="ck4">校時</label>
             <input type="text" name="data04" placeholder="校時：４校時" value="○校時">
             <label for="ck5">備考：</label>
             <input type="text" name="data05" placeholder="備考：提案授業" value="知恵を磨く領域／心を磨く領域">
             <input type="submit" value="バックアップ実行" onClick='return checkUpdate()'>
             <input type="hidden" name="flg" value="backup">
           </form>
         </div>
       </td>
     </tr>
   </table>
   </center>
   
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html>
