﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      IPアドレスとIDの一覧
'      admin12.asp
'  
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.10.03
'           update  2017.04.29
'***************************************
'
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "IPアドレスとIDの一覧"
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script src="js/exif.js"></script>
 </head>
 <body>
 
 <div data-role="page">
   
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   
   <!-- ここから本文 -->
   <div data-role="content">
   <center>
   <table border="1">
     <tr>
       <td><div class="tl">No        </div></td>
       <td><div class="tl">ID        </div></td>
       <td><div class="tl">表示名    </div></td>
       <td><div class="tl">IPアドレス</div></td>
     </tr>
     <%
     '... DB接続
     DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
     Server.MapPath("sns_data.mdb")
     Set ObjConn = Server.CreateObject("ADODB.Connection")
     ObjConn.Open DBName
     ObjConn.BeginTrans
     StrSQL = "select ID,strID,userName,IP from user order by IP"
     Set ObjRS = Server.CreateObject("ADODB.Recordset")
     ObjRS.Open StrSQL,ObjConn,3,3
     Do until ObjRS.eof
       Response.Write "<tr>"
       Response.Write "<td class='va'><div class='cell'>" & ObjRS("ID"      ) & "</div></td>"
       Response.Write "<td class='va'><div class='cell'>" & ObjRS("strID"   ) & "</div></td>"
       Response.Write "<td class='va'><div class='cell'>" & ObjRS("userName") & "</div></td>"
       Response.Write "<td class='va'><div class='cell'>" & ObjRS("IP"      ) & "</div></td>"
       Response.Write "</tr>"
     ObjRS.MoveNext
     Loop
     ObjConn.CommitTrans
     ObjConn.Close
     Set ObjConn = Nothing
     %>
   </table>
   </center>
   </div>
   
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html>
