﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      指定グループ毎のコメント数表示
'      admin15.asp
'  
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.10.11
'           update  2017.04.29
'***************************************
'
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "指定グループ毎のコメント数表示"

'... 指定グループメンバーのリスト取得
  Dim memberList(9)
  DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select member from groupMember1 order by ID"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  For i=0 to 9
    memberList(i) = ObjRS("member")
  ObjRS.MoveNext
  Next
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <meta http-equiv="refresh" content="10">
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/exif.js"></script>
 </head>
 <body>
 
 <div data-role="page">
 
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   
   <!-- ここから本文 -->
   <div data-role="content">
     <%
     '... グループ毎のループ
       Dim groupPoint(9)
       For i=0 to 9
         groupPoint(i) = 0
         member = split(memberList(i),"・")
         For j=0 to UBound(member)
           '... DBからの抽出
           DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
           Server.MapPath("sns_data.mdb")
           Set ObjConn1 = Server.Createobject("ADODB.Connection")
           ObjConn1.Open DBName
           ObjConn1.BeginTrans
           StrSQL1 = "select count(*) from sns where strID ='" & member(j) & "'"
           Set ObjRS1 = Server.CreateObject("ADODB.Recordset")
           ObjRS1.Open StrSQL1,ObjConn1,3,3
           groupPoint(i) = groupPoint(i) + ObjRS1(0)
           ObjConn1.CommitTrans
           ObjConn1.Close
           Set ObjConn1 = Nothing
         Next
       Next
       
       '... グラフのスケール
       scale = 10
     %>
     <center>
     <table border="1">
       <tr>
         <td class="tlHeader0"            ><div class="tlHeader0">Group         </div></td>
         <td class="tlHeader0" width="100"><div class="tlHeader0">コメント数    </div></td>
         <td class="tlHeader0"            ><div class="tlHeader0">グラフ（度数）</div></td>
       </tr>
       <tr>
         <td valign="middle"><div class="tlHeader">Group 01</div></td>
         <td valign="middle"><div class="tlCell"><% = groupPoint(0) %></div></td>
         <td width="1000"><img src="back/01.gif" height="40" width="<% = groupPoint(0)*scale %>" class="sh" style='border: solid 1px #000000;'></td>
       </tr>
       <tr>
         <td valign="middle"><div class="tlHeader">Group 02</div></td>
         <td valign="middle"><div class="tlCell"><% = groupPoint(1) %></div></td>
         <td width="1000"><img src="back/01.gif" height="40" width="<% = groupPoint(1)*scale %>" class="sh" style='border: solid 1px #000000;'></td>
       </tr>
       <tr>
         <td valign="middle"><div class="tlHeader">Group 03</div></td>
         <td valign="middle"><div class="tlCell"><% = groupPoint(2) %></div></td>
         <td width="1000"><img src="back/01.gif" height="40" width="<% = groupPoint(2)*scale %>" class="sh"></td>
       </tr>
       <tr>
         <td valign="middle"><div class="tlHeader">Group 04</div></td>
         <td valign="middle"><div class="tlCell"><% = groupPoint(3) %></div></td>
         <td width="1000"><img src="back/01.gif" height="40" width="<% = groupPoint(3)*scale %>" class="sh"></td>
       </tr>
       <tr>
         <td valign="middle"><div class="tlHeader">Group 05</div></td>
         <td valign="middle"><div class="tlCell"><% = groupPoint(4) %></div></td>
         <td width="1000"><img src="back/01.gif" height="40" width="<% = groupPoint(4)*scale %>" class="sh"></td>
       </tr>
       <tr>
         <td valign="middle"><div class="tlHeader">Group 06</div></td>
         <td valign="middle"><div class="tlCell"><% = groupPoint(5) %></div></td>
         <td width="1000"><img src="back/01.gif" height="40" width="<% = groupPoint(5)*scale %>" class="sh"></td>
       </tr>
       <tr>
         <td valign="middle"><div class="tlHeader">Group 07</div></td>
         <td valign="middle"><div class="tlCell"><% = groupPoint(6) %></div></td>
         <td width="1000"><img src="back/01.gif" height="40" width="<% = groupPoint(6)*scale %>" class="sh"></td>
       </tr>
       <tr>
         <td valign="middle"><div class="tlHeader">Group 08</div></td>
         <td valign="middle"><div class="tlCell"><% = groupPoint(7) %></div></td>
         <td width="1000"><img src="back/01.gif" height="40" width="<% = groupPoint(7)*scale %>" class="sh"></td>
       </tr>
       <tr>
         <td valign="middle"><div class="tlHeader">Group 09</div></td>
         <td valign="middle"><div class="tlCell"><% = groupPoint(8) %></div></td>
         <td width="1000"><img src="back/01.gif" height="40" width="<% = groupPoint(8)*scale %>" class="sh"></td>
       </tr>
       <tr>
         <td valign="middle"><div class="tlHeader">Group 10</div></td>
         <td valign="middle"><div class="tlCell"><% = groupPoint(9) %></div></td>
         <td width="1000"><img src="back/01.gif" height="40" width="<% = groupPoint(9)*scale %>" class="sh"></td>
       </tr>
     </table>
     </center>
     
   </div>
   
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html>
