﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      ユーザデータのバックアップ
'      admin35.asp
'
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2016.06.02
'           update  2017.04.29
'***************************************
'
  Response.Buffer = "True"
 
'... ページタイトル
  pTitle = "ユーザデータのバックアップ"

'... "POST"形式での値取得
  flg = Request.Form("flg")
  strCom = Request.Form("strCom")

'... 月日取得
  strYear   = Year(Now())
  strMonth  = Right("00" & Month(Now()),2)
  strDay    = Right("00" & Day(Now()),2)
  strHour   = Right("00" & Hour(Now()),2)
  strMinute = Right("00" & Minute(Now()),2)
  strSecond = Right("00" & Second(Now()),2)
  strTitle  = strYear & "年" & strMonth & "月" & strDay & "日" & strHour & "時" & strMinute & "分" & strSecond & "秒"
  strCom    = strTitle & "／" & strCom

'... DBバックアップ
  If flg="backup" Then
    DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
    Server.MapPath("sns_data.mdb")
    Set ObjConn = Server.CreateObject("ADODB.Connection")
    ObjConn.Open DBName
    ObjConn.BeginTrans
    StrSQL = "select strID,userName,Login,face_photo,comment,groupMember,backColor,IP,fixIP,used,dispSet,serflg from user order by ID"
    Set ObjRS = Server.CreateObject("ADODB.Recordset")
    ObjRS.Open StrSQL,ObjConn,3,3
    Do until ObjRS.eof
      '... 値取得
      strID       = ObjRS("strID")
      userName    = ObjRS("userName")
      Login       = ObjRS("Login")
      face_photo  = ObjRS("face_photo")
      comment     = ObjRS("comment")
      groupMember = ObjRS("groupMember")
      backColor   = ObjRS("backColor")
      IP          = ObjRS("IP")
      fixIP       = ObjRS("fixIP")
      used        = ObjRS("used")
      dispSet     = ObjRS("dispSet")
      serflg      = ObjRS("serflg")
      
      Set ObjConn1 = Server.CreateObject("ADODB.Connection")
      ObjConn1.Open DBName
      ObjConn1.BeginTrans
      StrSQL1 = "insert into uRestore "
      StrSQL1 = StrSQL1 & "( strID, userName, Login, face_photo, comment, groupMember, backColor, IP, fixIP, used, dispSet, serflg, strTitle ) values "
      StrSQL1 = StrSQL1 & "( '" & strID & "', '" & userName & "', " & Login & ", '" & face_photo & "', '" & comment & "', '" & groupMember & "', '" & backColor & "', '" & IP & "', '" & fixIP & "', " & used & ", " & dispSet & ", '" & serflg & "', '" & strCom & "' )"
      ObjConn1.Execute(StrSQL1)
      ObjConn1.CommitTrans
      ObjConn1.Close
    ObjRS.MoveNext
    Loop
    ObjConn.CommitTrans
    ObjConn.Close
    Set ObjRS = Nothing
    buflg = "1"
  End If
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/main.js"></script>
   <style>
     form{
       margin-left : 10px;
       margin-right: 10px;
     }
     table{
       margin-left :  5px;
       margin-right: 30px;
       margin-top  :  5px;
     }
   </style>
 </head>
 <body>
 
 <div data-role="page">
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   <!-- ここから本文 -->
   <div data-role="content">
     <center>
     <%
       Response.Write "<div>" & strTitle & "</div>"
       If buflg = "1" Then
         Response.Write "<div>アックアップが完了しました。</div>"
       Else
         %>
         <form method="POST" action="admin35.asp">
         <table>
           <tr>
             <td>
               <input type="text" name="strCom" size="40" placeholder="コメント">
             </td>
           <tr>
             <td>
               <input type="submit" value="バックアップ">
               <input type="hidden" name="flg" value="backup">
             </td>
           </tr>
         </table>
         </form>
         <%
       End If
     %>
     </center>
   </div>
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html>
