﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'   　　　ダラダラコメント一覧表
'      admin40.asp
'
'  岩手県立総合教育センター
'    情報・産業教育担当
'      Masami Mita  2017.05.05
'           update  2017.05.06
'***************************************
'
'... Bufferの設定
  Response.Buffer = "True"

'... ページタイトル
  pTitle = "ダラダラ～コメント一覧表"
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <meta http-equiv='Refresh' content='20'>
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/admin.css" />
   <link rel="stylesheet" href="js/main.css"  />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="js/main.js"></script>
   <script type="text/javascript" src="js/jquery.tablesorter.js"></script>
   <style>
     .ig{
       width: auto;
       max-height: 50px;
     }
     
     .gp01{
       margin-left:  0px;
       font-color : #FF0000;
     }
     .gp02{
       margin-left: 70px;
     }
     .gp03{
       margin-left: 140px;
       color : #F00;
     }
     .gp04{
       margin-left: 210px;
     }
     .gp05{
       margin-left: 280px;
     }
     .gp06{
       margin-left: 350px;
     }
     .gp07{
       margin-left: 420px;
     }
     .gp08{
       margin-left: 490px;
     }
     .gp09{
       margin-left: 560px;
     }
     .gp10{
       margin-left: 630px;
     }
     .imSize2{
       max-width: 60px;
       height   : auto;
     }
   </style>
   <script type="text/javascript">
     $(function(){
       $(".gp03").css("color","red");
     });
   </script>
 </head>
 <body>
 <div data-role="page">
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="admin.asp">HOME</a>
   </div>
   <div role="main">
     <%
       DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
       Server.MapPath("sns_data.mdb")
       Set ObjConn = Server.CreateObject("ADODB.Connection")
       ObjConn.Open DBName
       ObjConn.BeginTrans
       StrSQL = "select ID,user,mes,tm,IPad,strID,face_photo from sns order by ID DESC;"
       Set ObjRS = Server.CreateObject("ADODB.Recordset")
       ObjRS.Open StrSQL,ObjConn,3,3
       Do until ObjRS.eof
         '... sNoの取得
         Set ObjConn1 = Server.CreateObject("ADODB.Connection")
         ObjConn1.Open DBName
         ObjConn1.BeginTrans
         StrSQL1 = "select * from groupMember1 order by ID"
         Set ObjRS1 = Server.CreateObject("ADODB.Recordset")
         ObjRS1.Open StrSQL1,ObjConn1,3,3
         flg = "false"
         Do until ObjRS1.eof
           gM = ObjRS1(1)
           gML = split(gM,"・")
             For i=0 to UBound(gML)
               If gML(i) = ObjRS("strID") Then
                 sNo = ObjRS1(0)
                 flg = "True"
                 Exit For
               End If
             Next
             
             If flg = "True" Then
               Exit Do
             End If
         ObjRS1.MoveNext
         Loop
         ObjConn1.CommitTrans
         ObjConn1.Close
         Set ObjConn1 = Nothing
         
         '...グループごとのスタイルシート設定
         Select Case sNo
           Case 1
             gpNo = "01"
           Case 2
             gpNo = "02"
           Case 3
             gpNo = "03"
           Case 4
             gpNo = "04"
           Case 5
             gpNo = "05"
           Case 6
             gpNo = "06"
           Case 7
             gpNo = "07"
           Case 8
             gpNo = "08"
           Case 9
             gpNo = "09"
           Case 10
             gpNo = "10"
         End Select
         
         Response.Write "<div class='gp" & gpNo & "'>"
         Response.Write "<span class='cell' valign='middle' data-role='none'>" & ObjRS("user") & "</span>"
         strMes = ObjRS("mes")
         If InStr(strMes,".jpg")>0 Then
           strMes = "<a href='doc/" & strMes & "'><img src='icon/pho.png' width='20' height='25'><img src='doc/" & strMes & "' class='imSize2'></a>"
         ElseIf InStr(strMes,".gif")>0 Then
           strMes = "<img src='image/" & strMes & "' class='ig'>"
         End If
         Response.Write "<span class='com' data-role='none'>" & convText(strMes) & "</span>"
         Response.Write "<span class='cell' data-role='none'>" & Right(ObjRS("tm"),8) & "</span>"
         Response.Write "</div>"
       ObjRS.MoveNext
       Loop
       ObjConn.CommitTrans
       ObjConn.Close
       Set ObjConn = Nothing
     %>
   </div>
   
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
   </div>
 </div>
 </body>
</html>
<%
Function convText(a)
'=============================
'     改行、URLリンク修正
'=============================
'  2017.04.29  URLが入力されたときにリンク設定をする
'
  '... URLパターンマッチ
  Set reg = New RegExp
  reg.IgnoreCase = True
  reg.Global = True
  reg.Pattern = "(http://|https://){1}[\w\.\-/]+"
  Set mtchs = reg.Execute(a)
  
  '... 改行マークパターンマッチ
  Set reg2 = New RegExp
  reg2.IgnoreCase = True
  reg2.Global = True
  reg2.Pattern = "\n"
  Set mtchs2 = reg2.Execute(a)
  convText = a
  
  '... 改行マーク --> <br>
  For Each mch In mtchs2
    convText = Replace(convText,mch.Value,"<br>")
  Next
  
  '... URL --> リンク
  For Each mch In mtchs
    strURL = "<a href='" & mch.Value & "' target='_blank'>" & mch.Value & "</a>"
    convText = Replace(convText,mch.Value,strURL)
  Next
End Function
%>
