﻿<%
'***************************************
'  SNS Chat!  ンテンツ追加
'      音声ファイル追加
'      audio_contents.asp
'  
'  岩手県立総合教育センター
'    企画担当
'      Masami Mita  2015.09.07
'           update  2016.05.22
'***************************************
'
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "SNS Chat!"
  
'.. "GET"形式による値取得
  strID     = Request.QueryString("strID")
  flg       = Request.Form("flg"         )
  at        = Request.QueryString("at"   )
  gln       = Request.QueryString("gln"  )
  
'... IPアドレス＆ユーザーエージェント取得
  userIP    = Request.ServerVariables("REMOTE_ADDR")
  userAgent = Request.ServerVariables("HTTP_USER_AGENT")

'.. Userデータの読み込み
  DBName="Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("sns_data.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select userName,face_photo,comment,groupMember,backColor from user where strID = '" & strID & "'"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  strUser      = ObjRS("userName"   )
  strFacePhoto = ObjRS("face_photo" )
  strCom       = ObjRS("comment"    )
  strGroup2    = ObjRS("groupMember")
  strBC        = ObjRS("backColor"  )
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title><% = pTitle %></title>
   <link rel="stylesheet" href="js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="js/main.css" />
   <script type="text/javascript" src="js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="js/MobileConfig.js"></script>
   <script type="text/javascript" src="js/jquery.mobile-1.0.min.js"></script>
<script>
$(function(){
	var setFileInput = $('.imgInput');
	setFileInput.each(function(){
		var selfFile = $(this),
		selfInput = $(this).find('input[type=file]');
		selfInput.change(function(){
			var file = $(this).prop('files')[0],
			fileRdr = new FileReader(),
			selfImg = selfFile.find('.imgView');
			if(!this.files.length){
				if(0 < selfImg.size()){
					selfImg.remove();
					return;
				}
			} else {
				if(file.type.match('image.*')){
					if(!(0 < selfImg.size())){
						selfFile.append('<img alt="" class="imgView">');
					}
					var prevElm = selfFile.find('.imgView');
					fileRdr.onload = function() {
						prevElm.attr('src', fileRdr.result);
					}
					fileRdr.readAsDataURL(file);
				} else {
					if(0 < selfImg.size()){
						selfImg.remove();
						return;
					}
				}
			}
		});
	});
});
</script>
 </head>
 <body>

<div data-role="page">
   
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="b">
     <h1>SNS Chat! |<% = strUser %></h1>
   </div>
   
   <!-- ここから本文 -->
   <div data-role="content">
     <div class="imgInput" width="200" height="400">
     <div style="font-size: 0.8em;">アップロードする音声ファイルを選択してください。</div><br>
     
     <form method="POST" action="audio_contents2.asp" enctype="multipart/form-data">
       <input type="file" name="strFile" accept="audio/*; capture="microphone" id="cameraImage" value="音声">
       <input type="submit" value="アップロード">
       <input type="hidden" name="strID" value="<% = strID %>">
       <input type="hidden" name="at"    value="<% = at    %>">
       <input type="hidden" name="gln"   value="<% = gln   %>">
     </form>
     </div>
   </div>
   
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="b">
     <h3></h3>
   </div>
 </div>
 </body>
</html>
