﻿<%
'****************************************
'  ディベートサイト
'  ディベート 意見入力・結果表示ページ
'  (c) 岩手県立総合教育センター
'      情報教育担当
'      Masami Mita     2008.03.27
'              update  2010.07.13
'****************************************
'
'.. ページタイトル
   pTitle  = "ディベートサイト"
   pTitle1 = "(C) 岩手県立総合教育センター"
   dir = "../"

'... Buffer処理の設定
   Response.Buffer = True

'... 変数設定
   Dim voteTitle
   Dim voteNumber
   Dim voteTimer

'... "GET"形式での値取得
  id    = Request.QueryString("id"   )
  dis   = Request.QueryString("d"    )
  per   = Request.QueryString("p"    )
  flg_0 = Request.QueryString("flg_0")
  If flg_0 = "" Then
    flg_0 = Request.Form("flg_0")
  End If
  
  If id = "" Then
    id = Request.Form("id")
  End If
  If dis = "" Then
    dis = Request.Form("d")
  End If
  If per = "" Then
    per = Request.Form("p")
  End If

'... "POST"形式での値取得
   vote    = Request.Form("vote"   )
   strVote = Request.Form("strVote")
   flg     = Request.Form("flg"    )
   If strVote = "" Then
      strVote = "---"
   End If

'... ユーザ情報
   IP_address = Request.ServerVariables("REMOTE_ADDR")
   userAgent = Request.ServerVariables("HTTP_USER_AGENT")

'... DB接続名
     DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
     Server.MapPath("debate.mdb")

'... 協議題の選択
  '... DB接続
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  '... SQL文の作成
  StrSQL = "select * from voteTitle where selector = 1"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  '... SQL実行
  ObjRS.Open StrSQL,ObjConn,3,3
  selNo = ObjRS(0)
  '... DB接続解除
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing

'... flgによる分岐
   Select Case flg
     Case "on"
       '***** 投票システムの取得 *****
       '... DB接続
       Set ObjConn = Server.CreateObject("ADODB.Connection")
       ObjConn.Open DBName
       ObjConn.BeginTrans
       '... SQL文の作成
       StrSQL = "select * from voteInit where voteID = " & selNo
       Set ObjRS = Server.CreateObject("ADODB.Recordset")
       '... SQL実行
       ObjRS.Open StrSQL,ObjConn,3,3
       '... 投票数の取得
       voteSystem = ObjRS(2)
       '... DB接続解除
       ObjConn.CommitTrans
       ObjConn.Close
       Set ObjConn = Nothing
       
       '**** voteSystemによる分岐
       Select Case voteSystem
         Case "1"
           '... データの追加
           addData
           '... タイトルの取得
           readTitle
           '... 投票総数の取得
           readNumber
         Case "2"
           '***** 投票間隔の取得 *****
           '... DB接続
           Set ObjConn = Server.CreateObject("ADODB.Connection")
           ObjConn.Open DBName
           ObjConn.BeginTrans
           '... SQL文の作成
           StrSQL = "select count(*) from voteData where IP = '" & IP_address & "' and voteID = " & selNo
           Set ObjRS = Server.CreateObject("ADODB.Recordset")
           '... SQL実行
           ObjRS.Open StrSQL,ObjConn,3,3
           '... 投票数の取得
           voteCounter = ObjRS(0)
           '... DB接続解除
           ObjConn.CommitTrans
           ObjConn.Close
           Set ObjConn = Nothing
           
           If voteCounter > 0 Then
             '... 過去の投票との照合
             Set ObjConn = Server.CreateObject("ADODB.Connection")
             ObjConn.Open DBName
             ObjConn.BeginTrans
             '... SQL文の作成
             StrSQL = "select * from voteData where IP = '" & IP_address & "' and voteID = " & selNo & " order by tm DESC;"
             Set ObjRS = Server.CreateObject("ADODB.Recordset")
             '... SQL実行
             ObjRS.Open StrSQL,ObjConn,3,3
             '... 投票日時の取得
             voteDate = ObjRS(3)
             inter = DateDiff("n",voteDate,Now())
             '... DB接続解除
             ObjConn.CommitTrans
             ObjConn.Close
             Set ObjConn = Nothing
           Else
             inter = 99999999
           End If
           
           '... 投票間隔の取得
           readTimer
           
           '.... interによる分岐
           If inter < Int(voteTimer) Then
             Response.Redirect("error.asp")
           Else
             '... データの追加
             addData
             '... タイトルの取得
             readTitle
             '... 投票総数の取得
             readNumber
           End If
       End Select
       
     Case Else
       '... タイトルの取得
       readTitle
       '... 投票総数の取得
       readNumber
   End Select
%>
<html>
<head>
<title><% = pTitle %></title>
<meta charset="UTF-8">
<link rel="stylesheet" type="text/css" href="main.css">
</head>
<body>
<div class="top" ><% = pTitle  %></div>
<div class="top1"><% = pTitle1 %></div>
<br><br>
<center>
<table border="0" cellspacing="0" width="950">
  <tr>
    <td colspan="2">
      <div class="box">
        <table border="0" width="90%" style="background-color : #FFA07A;">
          <tr>
            <td style="color: #000066;">■協議題■</td>
            <td align="right">
              <form method="POST" action="debateDisp.asp">
                <input type="submit" value="最新情報に更新">
                <input type="hidden" name="flg" value="">
                <input type="hidden" name="id" value="<% = id %>">
                <input type="hidden" name="d"  value="<% = dis %>">
                <input type="hidden" name="p"  value="<% = per %>">
                <input type="hidden" name="flg_0" value="<% = flg_0 %>">
                <input type="hidden" name="pV" value="1">
              </form>
            </td>
          </tr>
        </table>
      <div class="voteTitle">～<% = voteTitle %>～</div>
    </div>
    </td>
  </tr>
  <tr>
    <td style="border-right: 1px dotted #888888;" width="475">
      <%
      '... 賛成意見数
        '... DB接続
        Set ObjConn = Server.CreateObject("ADODB.Connection")
        ObjConn.Open DBName
        ObjConn.BeginTrans
        '... SQL文の作成
        StrSQL = "select  count(*) from voteData where vote = 1 and voteID = " & selNo
        Set ObjRS = Server.CreateObject("ADODB.Recordset")
        '... SQL実行
        ObjRS.Open StrSQL,ObjConn,3,3
        '... カウント
        counter = ObjRS(0)
        '... DB接続解除
        ObjConn.CommitTrans
        ObjConn.Close
        Set ObjConn = Nothing
        
        Select Case voteNumber
          Case 0
            %>
            <div align="right" style="margin-top: 10px; margin-right: 10px;"><img src="btn1.gif">
            <%
          Case Else
            %>
            <div align="right" style="margin-top: 10px; margin-right: 10px;">
              <span align="right" class="voteNum" valign="middle">
                <% = FormatPercent(counter / voteNumber,1) %>
              </span>
              <img src="btn1.gif" align="middle">
            </div>
            <div align="right" style="margin-right: 10px;">
              <img class="gr" src="gra1.gif" height="50" width="<% = 400 * counter / voteNumber %>">
            </div>
            <%
        End Select
      %>
      </div>
      <div align="center">
        <span class="score"><% = counter %></span><span class="unit">人</span>
      </div>
    </td>
    <td width="475">
      <%
      '*** 反対意見数 ***
      '... DB接続
      Set ObjConn = Server.CreateObject("ADODB.Connection")
      ObjConn.Open DBName
      ObjConn.BeginTrans
      '... SQL文の作成
      StrSQL = "select  count(*) from voteData where vote = 2 and voteID = " & selNo
      Set ObjRS = Server.CreateObject("ADODB.Recordset")
      '... SQL実行
      ObjRS.Open StrSQL,ObjConn,3,3
      '... カウント
      counter = ObjRS(0)
      '... DB接続解除
      ObjConn.CommitTrans
      ObjConn.Close
      Set ObjConn = Nothing
      
      Select Case voteNumber
        Case 0
          %>
          <div align="left" style="margin-top: 10px; margin-left: 10px;"><img src="btn2.gif"></div>
          <%
        Case Else
          %>
          <div align="left" style="margin-top: 10px; margin-left: 10px;">
            <img src="btn2.gif"align="middle">
            <span align="left" class="voteNum"><% = FormatPercent(counter / voteNumber,1) %></span>
          </div>
          <div align="left" style="margin-left: 10px;">
            <img class="gr" src="gra2.gif" height="50" width="<% = 400 * counter / voteNumber %>">
          </div>
          <%
      End Select
      %>
      <div align="center">
        <span class="score"><% = counter %></span><span class="unit">人</span>
      </div>
    </td>
  </tr>
  <tr>
    <td style="border-right: 1px dotted #888888;">
      <div class="fm1">
        <div class="inpCom">こちらに『賛成』意見を入力してください。</div>
        <form method="POST" action="debateDisp.asp">
          <div align="center"><input type="submit" value="賛成" class="btn">
          <textarea name="strVote" cols="40" rows="5"></textarea>
          <input type="hidden" name="vote" value="1">
          <input type="hidden" name="flg" value="on">
          <input type="hidden" name="flg_0" value="<% = flg_0 %>">
          <input type="hidden" name="id" value="<% = id %>">
          <input type="hidden" name="d" value="<% = dis %>">
          <input type="hidden" name="p" value="<% = per %>">
          <input type="hidden" name="pV" value="2">
          </div>
        </form>
      </div>
    </td>
    <td>
      <div class="fm2">
        <div class="inpCom">こちらに『反対』意見を入力してください。</div>
        <form method="POST" action="debateDisp.asp">
          <div align="center"><textarea name="strVote" cols="40" rows="5"></textarea>
          <input type="hidden" name="vote" value="2">
          <input type="hidden" name="flg" value="on">
          <input type="submit" value="反対" class="btn"></div>
          <input type="hidden" name="flg_0" value="<% = flg_0 %>">
          <input type="hidden" name="id" value="<% = id %>">
          <input type="hidden" name="d"  value="<% = dis %>">
          <input type="hidden" name="p"  value="<% = per %>">
          <input type="hidden" name="pV" value="2">
        </form>
      </div>
    </td>
  </tr>
  <tr>
    <td valign="top" style="border-right: 1px dotted #888888;">
      <br>
      <%
      '***** 賛成意見 *****
        '... DB接続
        DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
        Server.MapPath("debate.mdb")
        Set ObjConn = Server.CreateObject("ADODB.Connection")
        ObjConn.Open DBName
        ObjConn.BeginTrans
        '... SQL文の作成
        StrSQL = "select * from voteData where vote = 1 and voteID = " & selNo & " order by tm DESC;"
        Set ObjRS = Server.CreateObject("ADODB.Recordset")
        '... SQL実行
        ObjRS.Open StrSQL,ObjConn,3,3
        '... 意見データの表示
        Do Until ObjRS.eof
          Response.Write "<div class='com1'>" & ObjRS(2) & "●</div>"
        ObjRS.MoveNext
        Loop
        '... DB接続解除
        ObjConn.CommitTrans
        ObjConn.Close
        Set ObjConn = Nothing
      %>
    </td>
    <td valign="top">
      <br>
      <%
      '***** 反対意見 *****
        '... DB接続
        DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
        Server.MapPath("debate.mdb")
        Set ObjConn = Server.CreateObject("ADODB.Connection")
        ObjConn.Open DBName
        ObjConn.BeginTrans
        '... SQL文の作成
        StrSQL = "select * from voteData where vote = 2 and voteID = " & selNo & " order by tm DESC;"
        Set ObjRS = Server.CreateObject("ADODB.Recordset")
        '... SQL実行
        ObjRS.Open StrSQL,ObjConn,3,3
        '... 意見データの表示
        Do Until ObjRS.eof
          Response.Write "<div class='com2'>●" & ObjRS(2) & "</div>"
        ObjRS.MoveNext
        Loop
        '... DB接続解除
        ObjConn.CommitTrans
        ObjConn.Close
        Set ObjConn = Nothing
      %>
    </td>
  </tr>
</table>
</center>
</body>
</html>
<%
'***** タイトルの取得 *****
Sub readTitle()
   '... DB接続
   Set ObjConn = Server.CreateObject("ADODB.Connection")
   ObjConn.Open DBName
   ObjConn.BeginTrans
   '... SQL文の作成
   StrSQL = "select * from voteTitle where selector = 1"
   Set ObjRS = Server.CreateObject("ADODB.Recordset")
   '... SQL実行
   ObjRS.Open StrSQL,ObjConn,3,3
   '... タイトルの取得
   voteTitle = ObjRS(1)
   '... DB接続解除
   ObjConn.CommitTrans
   ObjConn.Close
   Set ObjConn = Nothing
End Sub

'***** 投票総数の取得 *****
Sub readNumber()
   '... DB接続
   Set ObjConn = Server.CreateObject("ADODB.Connection")
   ObjConn.Open DBName
   ObjConn.BeginTrans
   '... SQL文の作成
   StrSQL = "select count(*) from voteData where voteID = " & selNo
   Set ObjRS = Server.CreateObject("ADODB.Recordset")
   '... SQL実行
   ObjRS.Open StrSQL,ObjConn,3,3
   '... タイトルの取得
   voteNumber = ObjRS(0)
   '... DB接続解除
   ObjConn.CommitTrans
   ObjConn.Close
   Set ObjConn = Nothing
End Sub

'***** データの追加 *****
Sub addData()
   '... DB接続
   Set ObjConn = Server.CreateObject("ADODB.Connection")
   ObjConn.Open DBName
   ObjConn.BeginTrans
   '... SQL文の作成
   StrSQL = "insert into voteData ( vote, strVote, tm, IP, Agent, voteID ) values ( " & vote & ",'" & strVote & "',#" & Now() & "#,'" & IP_address & "','" & userAgent & "'," & selNo & " )"
   '... SQL実行
   ObjConn.Execute(StrSQL)
   '... DB接続解除
   ObjConn.CommitTrans
   ObjConn.Close
   Set ObjConn = Nothing
End Sub

'***** 投稿間隔の取得
Sub readTimer()
   '... DB接続
   Set ObjConn = Server.CreateObject("ADODB.Connection")
   ObjConn.Open DBName
   ObjConn.BeginTrans
   '... SQL文の作成
   StrSQL = "select * from voteInit where voteID = " & selNo
   Set ObjRS = Server.CreateObject("ADODB.Recordset")
   '... SQL実行
   ObjRS.Open StrSQL,ObjConn,3,3
   '... 投票数の取得
   voteTimer = ObjRS(3)
   '... DB接続解除
   ObjConn.CommitTrans
   ObjConn.Close
   Set ObjConn = Nothing
End Sub
%>
