﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      簡易アンケート集計
'      (Excel形式でのDL可能)
'      dataDisp.asp
'  
'  岩手県立総合教育センター
'    情報・産業教育担当
'      Masami Mita  2017.04.29
'           update  2018.04.30
'***************************************
'
'
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "簡易アンケート集計"

'... "POST"形式の値取得
  flg = Request.Form("flg")

'... Excel形式で保存
  If flg = "excel" Then
    Response.ContentType = "application/vnd.ms-excel"
    Response.AddHeader "Content-Disposition","filename=SNSChat_Enq_" & Now() & ".xls"
  End IF

'... 読み込みモードの保存
  If flg<>"" Then
    DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
    Server.MapPath("enq.mdb")
    Set ObjConn = Server.CreateObject("ADODB.Connection")
    ObjConn.Open DBName
    ObjConn.BeginTrans
    If flg = "on" Then
      StrSQL = "update onoff set onoff='on' where ID=1"
    Else
      StrSQL = "update onoff set onoff='off' where ID=1"
    End If
    ObjConn.Execute(StrSQL)
    ObjConn.CommitTrans
    ObjConn.Close
    Set ObjConn = Nothing
  End If

'... 読み込みモードの取得
  DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("enq.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select onoff from onoff where ID=1"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  onoffMode = ObjRS("onoff")
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
%>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <%
  If onoffMode = "on" Then
    Response.Write "<meta http-equiv='Refresh' content='20'>"
  End If
  %>
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
  <link rel="stylesheet" href="../js/jquery.mobile-1.0.min.css" />
  <link rel="stylesheet" href="../js/admin.css" />
  <script type="text/javascript" src="../js/funcs.js"></script>
  <script type="text/javascript" src="../js/jquery-1.6.4.min.js"></script>
  <script type="text/javascript" src="../js/MobileConfig.js"></script>
  <script type="text/javascript" src="../js/jquery.mobile-1.0.min.js"></script>
  <script type="text/javascript" src="../js/main.js"></script>
  <style>
    .tblMain{
      margin-left: 20px;
    }
    .mainQ{
      font-weight: bold;
    }
    .shadow1{
      box-shadow: 0 6px 8px #666666;
    }
  </style>
</head>
<body>
<div data-role="page">
  <!-- ここからヘッダ -->
  <div data-role="header" data-position="fixed" data-theme="e">
    <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
    <a href="../admin.asp">HOME</a>
  </div>
  <!-- ここから本文 -->
  <div data-role="content">
    <table border="0">
      <tr>
        <td>
          <%
            Response.Write "<form method='POST' action='dataDisp.asp'>"
            Response.Write "<input type='submit' value='自動更新開始' data-role='none'>"
            Response.Write "<input type='hidden' name='flg' value='on'>"
            Response.Write "</form>"
          %>
        </td>
        <td>
          <%
            Response.Write "<form method='POST' action='dataDisp.asp'>"
            Response.Write "<input type='submit' value='自動更新停止' data-role='none'>"
            Response.Write "<input type='hidden' name='flg' value='off'>"
            Response.Write "</form>"
          %>
        </td>
        <td>
        　　　拡大：ctrlと＋　　縮小：ctrlと－　　　
        </td>
        <td>
          <form method='POST' action='dataDisp.asp'>
            <input type='submit' value='Excel形式で保存' data-role='none'>
            <input type='hidden' name='flg' value='excel'>
          </form>
        </td>
      </tr>
    </table>
    <hr>
    <%
    '... カテゴリ・データの取得
        '... DB接続
    DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
    Server.MapPath("enq.mdb")
    '... DB接続
    Set ObjConn = Server.CreateObject("ADODB.Connection")
    ObjConn.Open DBName
    ObjConn.BeginTrans
    '... SQL文の作成
    StrSQL = "select ID,category from cate order by ID"
    Set ObjRS1 = Server.CreateObject("ADODB.Recordset")
    '... SQL実行
    ObjRS1.Open StrSQL,ObjConn,3,3
    '... データ取得
    Do until ObjRS1.eof
      cnt = cnt + 1
      Response.Write "<div class='subQ'><span class='mainQ'>【問" & cnt & "】</span>"
      Response.Write "<span>" & ObjRS1("category") & "</span></div>"
      Response.Write "<table border='0' cellspacing='0' class='tblMain'>"
      
      '... DB接続
      Set ObjConn1 = Server.CreateObject("ADODB.Connection")
      ObjConn1.Open DBName
      '... SQL文の作成
      StrSQL1 = "select * from selector where cateNo = " & ObjRS1("ID")
      Set ObjRS0 = Server.CreateObject("ADODB.Recordset")
      '... SQL実行
      ObjRS0.Open StrSQL1,ObjConn1,3,3
      '... データ表示
      cnt1 = 0
      Do until ObjRS0.eof
        cnt1 = cnt1 + 1
        '... 数値の取得
        Set ObjConn2 = Server.CreateObject("ADODB.Connection")
        ObjConn2.Open DBName
        '... SQL文の作成
        StrSQL2 = "select count(*) from enq where queNo = " & cnt & " and anser = " & cnt1
        Set ObjRS2 = Server.CreateObject("ADODB.Recordset")
        '... SQL実行
        ObjRS2.Open StrSQL2,ObjConn1,3,3
        Response.Write "<tr>"
        Response.Write "<td align='right' width='100'><div class='cell'>" & ObjRS0(2) & "</div></td>"
        Response.Write "<td align='right'><div class='cell1'>" & ObjRS2(0) & "</div></td>"
        Response.Write "<td><img src='graph.gif' height='35' width=" & ObjRS2(0) * 10 & " class='shadow1'></td>"
        Response.Write "</tr>"
      ObjRS0.MoveNext
      Loop
      '... DB接続解除
      ObjConn1.Close
      Set ObjConn1 = Nothing
      
      Response.Write "</table>"
      Response.Write "<hr>"
    ObjRS1.MoveNext
    Loop
    '... DB接続解除
    ObjConn.CommitTrans
    ObjConn.Close
    Set ObjConn = Nothing
    %>
    </div>
    <!-- ここからフッタ -->
    <div data-role="footer" data-position="fixed" data-theme="e">
      <h3>(C)岩手県立総合教育センター <% = year(now) %></h3>
    </div>
</div>
</body>
</html>
