﻿<%
'***************************************
'  SNS Chat!  管理者ページ
'      「占いの館」利用制限(Ajax)
'      useOnOff.asp
'  
'  岩手県立総合教育センター
'    情報・産業教育担当
'      Masami Mita  2018.04.30
'           update  2018.05.130
'***************************************
'
  Response.Buffer = "True"
  
'... ページタイトル
  pTitle = "「占いの館」利用制限"
'
'... DB読み込み
  Dim conDisp(6)
  DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("../sns_data.mdb")
  Set ObjConn = Server.Createobject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  StrSQL = "select disp from conDisp order by ID"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  ObjRS.Open StrSQL,ObjConn,3,3
  For i=0 to 6
    conDisp(i) = ObjRS("disp")
    ObjRS.MoveNext
  Next
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
%>
<!DOCTYPE html>
 <html>
 <head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1" />
   <title>SNS Chat! 管理者ページ　：　<% = pTitle %></title>
   <link rel="stylesheet" href="../js/jquery.mobile-1.0.min.css" />
   <link rel="stylesheet" href="../js/admin.css" />
   <script type="text/javascript" src="../js/jquery-1.6.4.min.js"></script>
   <script type="text/javascript" src="../js/MobileConfig.js"></script>
   <script type="text/javascript" src="../js/jquery.mobile-1.0.min.js"></script>
   <script type="text/javascript" src="../js/main.js"></script>
 </head>
 <body>
 
 <div data-role="page">
   
   <!-- ここからヘッダ -->
   <div data-role="header" data-position="fixed" data-theme="e">
     <h3>SNS Chat! 管理者ページ　：　<% = pTitle %></h3>
     <a href="../admin.asp">HOME</a>
   </div>
   
   <!-- ここから本文 -->
     <%
     If conDisp(6) = "on" Then
       ck7 = "checked='checked'"
     Else
       ck7 = ""
     End If
     %>
     <center>
     <table border="0" width="50%">
       <tr>
         <td>
           <div data-role="fieldcontain">
             <fieldset data-role="controlgroup">
                 <input type="checkbox" name="C7" id="C7" <% = ck7 %>/>
                 <label for="C7">「占いの館」利用の有無</label>
             </fieldset>
           </div>
         </td>
       </tr>
     </table>
     </center>
   </div>
   <!-- ここからフッタ -->
   <div data-role="footer" data-position="fixed" data-theme="e">
     <h3>(C)岩手県立総合教育センター <% = year(now) %>　　　　　　<% = msg %>　　　ver<% = verNo %></h3>
   </div>
 </div>
 <div id="mes"></div>
 </body>
 
 <script>
   $('#C7').click(function(){
     if($('#C7').is(':checked')){
       C7 = "on";
     }else{
       C7 = "";
     }
     $.post('useOnOff-2.asp',
       {param1: C7},
        function(data,textStatus,XMLHttpRequest){
          $("#mes").html("<div class='mesBox'>設定を変更しました。</div>");
          $("#mes:not(:animated)").fadeIn("slow",function(){
            $(this).delay(1500).fadeOut("slow");
          });
        });
   });
 </script>

</html>
